commit 6a5f55445e630c3ee78cb451d00c64e86f59c9e1
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-06-28 12:59:42 +0800

    Update NEWS

M	NEWS

commit be28b3a410251d9d78265da7723c8372dc5c8594
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-05-17 15:15:26 +0800

    Remember cloud input

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYPCloudCandidates.cc
M	src/PYPLibPinyinCandidates.cc

commit be97321b6dd700796f97697428a14a26b234eadd
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-05-11 09:58:22 +0800

    Improve cloud candidate

M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h

commit 4bd9e2247ce9df235daffc14b570c7bc7ea41368
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-05-06 11:04:23 +0800

    Update LINGUAS

M	po/LINGUAS

commit f69aff4e59af855a6c1631af65f3216f9b50be54
Author: Gunnar Hjalmarsson <gunnarhj@users.noreply.github.com>
Date:   2021-04-30 12:42:12 +0200

    Rename pt-BR.po to pt_BR.po

R100	po/pt-BR.po	po/pt_BR.po

commit 0818f2034c128258069c6812969a3ef194ed71c0
Author: Hela Basa <r45xveza@pm.me>
Date:   2021-03-03 21:58:12 +0100

    Added translation using Weblate (Sinhala)

M	po/LINGUAS
A	po/si.po

commit 3c9a1c782bdec4f057cf1ed6dd8ee16cd707e9b0
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:   2021-03-03 21:58:12 +0100

    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/
    
    Translated using Weblate (Chinese (Simplified) (zh_CN))
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po

commit 8f7899bf11b3c06eada4aa94ed0fd4817dc9f680
Author: Weblate <noreply@weblate.org>
Date:   2021-03-03 21:58:12 +0100

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/uk.po

commit 1edb80cb35594c97a098c56648c48a3afe11f158
Author: Julien Humbert <julroy67@gmail.com>
Date:   2021-03-03 21:58:11 +0100

    Translated using Weblate (French)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/fr/
    
    Translated using Weblate (French)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/fr/

M	po/fr.po

commit 48522d4d46949516256641913f1c68217e573450
Author: Hollow Man <hollowman@hollowman.ml>
Date:   2021-03-21 15:56:03 +0800

    Change deprecated glib function g_atexit() into atexit()
    
    Signed-off-by: Hollow Man <hollowman@hollowman.ml>

M	src/PYMain.cc

commit 330ba5b289eec7670aa82244ed9064d8bc6d537b
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-01-28 11:59:17 +0800

    Support Compatibility display style

M	src/PYConfig.h
M	src/PYPBopomofoEditor.cc
M	src/PYPConfig.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPinyinEditor.cc

commit 39c7da6eb672d89ea240e336bdea1546eaf85f46
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-01-28 10:52:52 +0800

    Update ibus-libpinyin-preferences.ui

M	setup/ibus-libpinyin-preferences.ui

commit 4c095052b2242975342fed034e39ed1b5c0caaef
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-01-28 10:46:05 +0800

    bump version 1.12.1

M	configure.ac

commit 9f86e50121d85c8dc40b23a3ff7af4bbe01bdc9f
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-01-28 10:44:58 +0800

    Extend lua trigger feature to support multiple results

M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaTriggerCandidates.cc
M	src/PYPLuaTriggerCandidates.h

commit b8d700607ea7a6d27cc9c7ab9d4f9901bd40997c
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-01-27 15:29:36 +0800

    Update Lua Plugin API

M	lua/lua-ext-console.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h

commit dcf8e13c6921e4d8a39ec9bf33263fd37616560c
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-01-20 09:42:14 +0800

    Fixes insert method

M	src/PYPFullPinyinEditor.cc

commit 840217748fea4de8f6a68378fd0465fe7aa810d7
Author: Peng Wu <alexepico@gmail.com>
Date:   2021-01-11 13:30:22 +0800

    Fixes Caps Lock issue in double pinyin mode

M	src/PYPPinyinEngine.cc

commit 31f12260abd9f384105d76f2f184584307f06c8e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-12-15 14:56:40 +0800

    Update NEWS

M	NEWS

commit 8fb0ca4fa7bf9db3e5fb6c2fb713a3b0d4ab1ae4
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-12-15 14:54:47 +0800

    bump version 1.12.0

M	configure.ac

commit 9b00002f464bc66c55bcfeaf2ab0e1ca5e2a4f1e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-11-23 10:58:22 +0800

    Fixes import/export pinyin dictionary

M	setup/main2.py
M	src/PYPConfig.cc

commit a7a048ecf430664711c26f7fedca4470adb0fcc0
Author: Adolfo Jayme Barrientos <fitoschido@gmail.com>
Date:   2020-10-16 20:30:19 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 98.7% (154 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/es/

M	po/es.po

commit d2167a3dcdfd11d78149ace92ab745d0c345f10f
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   2020-10-16 20:30:19 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 83.9% (131 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/es/

M	po/es.po

commit 3206261d58711d7c42baca5ba680758a708f4bf9
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-22 11:09:14 +0800

    Update NEWS

M	NEWS

commit da68617e606b60a019b025921d0f7af78149701e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-10-15 16:21:18 +0800

    Improve clearPinyinUserData method

M	src/PYLibPinyin.cc

commit c346468fdf9ef8f7f6c8acd0dc54b976b1dafd14
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-29 11:33:27 +0800

    Fixes import/export dictionary in setup dialog

M	setup/main2.py

commit bc063522f2945776cf3c70d33ba32dc31d1d603f
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-28 10:28:17 +0800

    Save user pinyin data after import the dictionary

M	src/PYLibPinyin.cc

commit 0d46fe7842c179bc4b2ad88a27ddeed9d0af9220
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-25 10:27:19 +0800

    refactor class CloudCandidates

M	src/PYPCloudCandidates.cc

commit 117d390aea32de451a497b5f1bc1d9391f123079
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-25 10:24:57 +0800

    Use enum CloudInputSource

M	src/PYConfig.h
M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h
M	src/PYPConfig.cc

commit 2823391970f8f6798340fdce8e514cc239054dd0
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-25 09:26:52 +0800

    Update setup dialog

M	setup/ibus-libpinyin-preferences.ui

commit df0c1ab351127618b0016b06803ca1a5fb2a65ca
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-25 09:20:53 +0800

    Add another cloud input source

M	src/PYConfig.h
M	src/PYPCloudCandidates.cc

commit 0492fc31565ebd35f6ac14769203bdce752f8d7a
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-24 15:04:30 +0800

    Update base.lua

M	lua/base.lua

commit eea3b45a2400d09092b1d5f15c07225249249e7d
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-23 15:49:35 +0800

    Fixes CloudCandidates::updateLookupTable method

M	src/PYPCloudCandidates.cc

commit 7ecb3750e81e791fa554f34a745cbd1384b45ea0
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-23 12:09:54 +0800

    drop CloudCandidatesResponseParser::getAnnotation method

M	src/PYPCloudCandidates.cc

commit 55f095629bb76cad1b8381e715fc69ed4167f9eb
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-23 09:47:55 +0800

    Fixes CloudCandidates::processCandidates method

M	src/PYPCloudCandidates.cc

commit f09dc5f280bc81f50221da464f6cd943652eac16
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-23 09:44:33 +0800

    Use GTimer in class CloudCandidates

M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h

commit ad280ed7c07eb0a39c23c1274fc40cf2f2213e2a
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-22 16:06:42 +0800

    Update cloud candidate input design

M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h

commit 91643cabc8fd54fcccf2255138f8f840621cd944
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-22 12:18:30 +0800

    fixes initPinyinContext method

M	src/PYLibPinyin.cc

commit abcb6d5eb7736207e8af6ceaa1ce2f0a993a852b
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-22 12:10:01 +0800

    fixes CloudCandidates crash

M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h

commit 0e6091ca1e3577db003698f5696dff65ef2118c3
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-22 11:01:48 +0800

    improve cloudAsyncRequest method

M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h

commit db9d9d43f8db12426e26abb0940bf4ddb7f408c3
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-21 16:10:45 +0800

    refactor class CloudCandidates

M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h

commit 2ab5cf72ffe5d71c3bb182fec7b78133991beedd
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-21 15:37:18 +0800

    refactor m_parser variable in class CloudCandidates

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPCloudCandidates.cc
M	src/PYPCloudCandidates.h
M	src/PYPConfig.cc

commit 5bb4e1afcb01dcd2aa90702cd3268b22589f8d66
Author: hillwoodroc <hillwood@opensuse.org>
Date:   2020-09-19 21:31:43 +0800

    Update network.txt

M	data/network.txt

commit 6f832e07df279b4938354e2b96190845dc6b5b45
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2020-09-17 09:29:26 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/de/

M	po/de.po

commit 34b539e0281d228b8caf4357f71aa4159d913605
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-09-17 09:29:26 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/uk/

M	po/uk.po

commit b5e1bba4b7bc25821bfa87bb0cc8791ff39b97b2
Author: Hillwood Yang <hillwoodroc@gmail.com>
Date:   2020-09-16 04:58:11 +0200

    Translated using Weblate (Chinese (Traditional))
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_TW/
    
    Translated using Weblate (Chinese (Hong Kong))
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_HK/
    
    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit a3d639e96fe07c93da079c2c48c29cd8743ea3bf
Author: Peng Wu <pwu@redhat.com>
Date:   2020-09-16 04:58:11 +0200

    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 99.3% (155 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/
    
    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 97.4% (152 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/
    
    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 97.4% (152 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po

commit a7419c778cf9f482e79767087ed4fda7a17b9d9b
Author: Weblate <noreply@weblate.org>
Date:   2020-09-16 04:58:11 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/

M	po/ca.po
M	po/cs.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/pt-BR.po
M	po/ru.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit c8345ac3e82f198a6e511b7413ada962b12d799c
Author: Harry Chen <harrychen0314@gmail.com>
Date:   2020-09-16 04:58:10 +0200

    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 96.7% (151 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po

commit 695078f427be1d717f9b2341838a499eb1f8e812
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2020-09-16 04:58:10 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/de/
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/de/
    
    Translated using Weblate (German)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/de/

M	po/de.po

commit cd19dd55588b5d03311b912c8ecdb292b46b4f96
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-09-16 04:58:10 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/uk/
    
    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/uk/
    
    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (156 of 156 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/uk/

M	po/uk.po

commit 1ae4b59228d65dfcb632e44d8d87082bb6d62797
Author: Weblate <noreply@weblate.org>
Date:   2020-09-16 04:58:10 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/

M	po/ca.po
M	po/cs.po
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/pt-BR.po
M	po/ru.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 2d08e64f7157becd52ff1c0fec5f190c87365f33
Author: Hillwood Yang <hillwoodroc@gmail.com>
Date:   2020-09-16 04:58:09 +0200

    Translated using Weblate (Chinese (Traditional))
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_TW/
    
    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 98.6% (150 of 152 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/
    
    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 98.0% (149 of 152 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po
M	po/zh_TW.po

commit 9caeca5e27c291e4fb2ef76ebeead67c4d413714
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-09-16 04:58:09 +0200

    Translated using Weblate (Ukrainian)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/uk/

M	po/uk.po

commit 5c43657b8c950a1dc659e7ca2069be47ada6324d
Author: Xiao Weixuan <veyx.shaw@gmail.com>
Date:   2020-09-16 04:58:08 +0200

    Translated using Weblate (French)
    
    Currently translated at 91.3% (137 of 150 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/fr/

M	po/fr.po

commit a5d4234bea35b16393aef3cdd4aef02bfa9365e4
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   2020-09-16 04:58:08 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/es/

M	po/es.po

commit 4ec2c1c8453b885922991af407c4f1f44952e0d4
Author: Harry Chen <harrychen0314@gmail.com>
Date:   2020-09-16 04:58:08 +0200

    Translated using Weblate (Chinese (Simplified))
    
    Currently translated at 98.0% (149 of 152 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_CN/

M	po/zh_CN.po

commit c4e77276f74c6051a97b1639d390678ce1bbd7f0
Author: hillwoodroc <hillwoodroc@gmail.com>
Date:   2020-09-10 12:03:46 +0800

    Update network.txt

M	data/network.txt

commit 63274edc8271d60e0b50ab01cffae7ffeba8edac
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-14 11:27:54 +0800

    Update gschema XML

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit b6a2247e92b7ccf503d1d691976b7777dbb47620
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-13 12:36:42 +0800

    Update ibus-libpinyin.pot

M	po/ibus-libpinyin.pot

commit 330653ec32c1fd74770f1e1f52cf5bc0f08bbe78
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-13 12:34:25 +0800

    Update setup dialog

M	setup/ibus-libpinyin-preferences.ui

commit 0b5b3a6538656a908666fef09e83cb9b34fbcf48
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-08 14:19:18 +0800

    Update ibus-libpinyin.pot

M	po/ibus-libpinyin.pot

commit 9227873475e7ce0573d48fc8fe4b00781cc6edc0
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-08 14:13:47 +0800

    Hide cloud option in setup dialog

M	configure.ac
M	setup/config.py.in
M	setup/main2.py

commit a478d650ff5429e338268c6d5f6e4c44e8334426
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-07 16:07:09 +0800

    Update main2.py for emoji candidate

M	setup/main2.py

commit d9b4fd856e57a3785c91e360805603130d5fbc34
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-07 16:06:12 +0800

    Update setup dialog for emoji candidate

M	setup/ibus-libpinyin-preferences.ui

commit 17068e1da358b7a6ca78375a01bd572956433755
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-09-07 14:54:08 +0800

    Fixes Emoji Candidates

M	src/PYPEmojiCandidates.cc

commit 38ace884661e521990fc117ffa5a197173853527
Author: hillwoodroc <hillwoodroc@gmail.com>
Date:   2020-09-07 12:34:34 +0800

    Update ibus-libpinyin-preferences.ui: Add Cloud Input Authors

M	setup/ibus-libpinyin-preferences.ui

commit d6c950ec717fb417fc2871e03801349e3b065a76
Author: Inokinoki <veyx.shaw@gmail.com>
Date:   2020-09-01 10:26:12 +0200

    Enable Cloud Input for Double Pinyin and Bopomofo

M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc

commit 04aa7f052d2d911349c79cae6d922e3f65d24752
Author: Inokinoki <veyx.shaw@gmail.com>
Date:   2020-09-01 10:25:14 +0200

    Enable Cloud Input for Full Pinyin mode
    
    Co-authored-by: lianna07 <liannaxu07@gmail.com>

M	configure.ac
M	src/Makefile.am
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 3de68dd731aeae11e1930a1f25ecdad3b2cc50d8
Author: Inokinoki <veyx.shaw@gmail.com>
Date:   2020-09-01 10:22:36 +0200

    Add Cloud Input configuration items in setup UI
    
    Co-authored-by: lianna07 <liannaxu07@gmail.com>
    Co-authored-by: Peng Wu <alexepico@gmail.com>

M	setup/ibus-libpinyin-preferences.ui
M	setup/main2.py

commit ad748051706038cf4178be3f0cdbdd209fa02742
Author: Inokinoki <veyx.shaw@gmail.com>
Date:   2020-09-01 10:18:19 +0200

    Add Cloud Input configurations
    
    Co-authored-by: lianna07 <liannaxu07@gmail.com>
    Co-authored-by: Peng Wu <alexepico@gmail.com>

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit beae287d141c111ac18ccfd5ddf7afa1f23a8945
Author: Inokinoki <veyx.shaw@gmail.com>
Date:   2020-09-01 10:09:31 +0200

    Add Cloud Input implementation
    
    This implementation adds Cloud Input feature with delayed request and
    asynchronous request.
    
    - Support Full Pinyin and Double Pinyin modes
    - Support Bopomofo mode
    
    Co-authored-by: lianna07 <liannaxu07@gmail.com>
    Co-authored-by: Peng Wu <alexepico@gmail.com>

A	src/PYPCloudCandidates.cc
A	src/PYPCloudCandidates.h

commit afd6134ebdd7d01383f79763e574fab0a227307d
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-28 11:31:54 +0800

    bump version 1.11.94

M	configure.ac

commit 2ee257c73388df89b4f5966c882d8047a896f9b2
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-28 11:30:31 +0800

    restore mainSwitch shortcut key

M	src/PYPPinyinEngine.cc

commit 24f673d6480ce15fc7f37af848f149e0a366d18a
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-25 15:32:24 +0800

    update NEWS

M	NEWS

commit b5f4fb8872d5cad3e9771d296d8ef83c29234b8f
Author: Emilio Herrera <ehespinosa57@gmail.com>
Date:   2020-08-24 17:29:18 +0200

    Translated using Weblate (Spanish)
    
    Currently translated at 100.0% (136 of 136 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/es/

M	po/es.po

commit 033a8ca044f4c75986cdcff7bc827a8b7e039ccb
Author: Mike FABIAN <mfabian@redhat.com>
Date:   2020-08-24 17:29:18 +0200

    Translated using Weblate (German)
    
    Currently translated at 100.0% (150 of 150 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/de/
    
    Added translation using Weblate (German)

M	po/LINGUAS
A	po/de.po

commit 5b0f0288a3ae5d2e747696296535430ddc24a494
Author: Hillwood Yang <hillwoodroc@gmail.com>
Date:   2020-08-24 17:29:17 +0200

    Translated using Weblate (Chinese (Hong Kong))
    
    Currently translated at 75.6% (115 of 152 strings)
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/zh_HK/

M	po/zh_HK.po

commit 74acade82207a1d358f4bdc4c29735fe8f0488f6
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-21 12:11:33 +0800

    fixes processAccelKeyEvent method

M	src/PYPPinyinEngine.cc

commit 584dc7037ecc1d1c305d175bca6ddd5c8e3d8d81
Author: Weblate <noreply@weblate.org>
Date:   2020-08-11 06:40:11 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/

M	po/ca.po
M	po/cs.po
M	po/es.po
M	po/fr.po
M	po/pt-BR.po
M	po/ru.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 10f113940c03f6b9b86071011281605f3f3f42ec
Author: Weblate <noreply@weblate.org>
Date:   2020-08-11 06:39:57 +0200

    Update translation files
    
    Updated by "Update LINGUAS file" hook in Weblate.
    
    Translation: ibus-libpinyin/master
    Translate-URL: https://translate.fedoraproject.org/projects/ibus-libpinyin/master/

M	po/LINGUAS

commit 9cb895957a1040c536c0d6342cc71cc9cfa7217e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-10 16:12:45 +0800

    import ibus-libpinyin.pot

A	po/ibus-libpinyin.pot

commit 8faeee14d547d932d111908f48c0895909c7e677
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-08-10 16:00:06 +0800

    import po files

A	po/cs.po
A	po/es.po
A	po/pt-BR.po
A	po/uk.po

commit e2c7237de7086d197cb9897c223a9e60fb9813c1
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-29 13:34:39 +0800

    fixes readNetworkDictionary method

M	src/PYLibPinyin.cc

commit ad0f4f3419c0652fb18c5f20b3fd94244ed7553c
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-28 14:06:20 +0800

    use modified method instead of pinyin_save function

M	src/PYLibPinyin.cc

commit 0f9bfcb1320465116aaaeaa290ec80c0b86cb81d
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-28 13:05:05 +0800

    Restore Bopomofo Editor

M	src/PYPBopomofoEditor.cc
M	src/PYPPhoneticEditor.cc

commit 318aea3862c6dbc382ccca6c7ea75c198e28b75e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-27 10:47:14 +0800

    fixes mainSwitch shortcut key

M	src/PYPPinyinEngine.cc

commit 8b38d6cdad15a9d21976ed783cf7ba945385e16e
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-27 10:29:22 +0800

    fixes PYLibPinyin.cc

M	src/PYLibPinyin.cc

commit 7bf1a089547be9add7cb01a5e7b45806031f99ff
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-23 15:58:51 +0800

    fixes Network Dictionary

M	src/PYLibPinyin.cc

commit f4570dd9d1694e676c49984233ecc4f68719dde3
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-23 15:22:02 +0800

    update com.github.libpinyin.ibus-libpinyin.gschema.xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit 49cbae6d9a9df24fa73dc55a684e52d8fcdd0dcf
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-21 15:27:45 +0800

    init network dictionary

M	src/PYLibPinyin.cc

commit 035d5fdda849c2b1d369fbfcb6ebe705ca2c3221
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-06-23 14:22:38 +0800

    support network dictionary timestamp in GSettings

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc
M	src/PYPConfig.h

commit dc67c6437dd2f3a5790c7065f03631a123e144db
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-06-19 15:10:49 +0800

    write readNetworkDictionary method

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 8d7e340b73caa3033040e229cc6198357a127823
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-06-18 14:42:44 +0800

    update gschema.xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit 296f5b22a8f86da8cd8409301bd161c394776147
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-06-16 16:07:02 +0800

    import network.txt

M	data/Makefile.am
A	data/network.txt

commit ac395bd59da86505b1ee00f3edd64f03f654aa33
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-21 13:02:53 +0800

    Fixes Bopomofo Editor

M	src/PYPBopomofoEditor.cc
M	src/PYPPhoneticEditor.cc

commit f3faeeff3fbe3bf9e30ed4461c2c8d0466966e56
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-07-06 09:59:05 +0800

    fixes lmyoslib.c

M	lua/lmyoslib.c

commit 45bdf39e41a41fe4cc7f087948eec461145cfb5c
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-06-17 16:51:54 +0800

    update PYPEmojiTable.h

M	src/PYPEmojiTable.h

commit 59785f2de60591fe738f79bb6fbc46d9737bb556
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-06-17 16:20:24 +0800

    update extract_emoji.py

M	scripts/extract_emoji.py

commit db96866788ab60ce94d329b118443c2e9aed6dd9
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-04-23 15:43:28 +0800

    update Makefile.am

M	Makefile.am
M	data/Makefile.am
M	data/db/android/Makefile.am
M	lua/Makefile.am
M	m4/Makefile.am
M	setup/Makefile.am
M	src/Makefile.am

commit 9aac9382caa1a034aa86e253241fe3a56b02844d
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-04-23 15:38:08 +0800

    use GPLv3+ license

M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h
M	lua/test-lua-plugin.c
M	src/PYBus.h
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYEditor.cc
M	src/PYEditor.h
M	src/PYEngine.cc
M	src/PYEngine.h
M	src/PYEnglishEditor.cc
M	src/PYEnglishEditor.h
M	src/PYExtEditor.cc
M	src/PYExtEditor.h
M	src/PYFallbackEditor.cc
M	src/PYFallbackEditor.h
M	src/PYHalfFullConverter.cc
M	src/PYHalfFullConverter.h
M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYLookupTable.h
M	src/PYMain.cc
M	src/PYObject.h
M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPConfig.cc
M	src/PYPConfig.h
M	src/PYPDoublePinyinEditor.cc
M	src/PYPDoublePinyinEditor.h
M	src/PYPEmojiCandidates.cc
M	src/PYPEmojiCandidates.h
M	src/PYPEnhancedCandidates.h
M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPLibPinyinCandidates.cc
M	src/PYPLibPinyinCandidates.h
M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaConverterCandidates.h
M	src/PYPLuaTriggerCandidates.cc
M	src/PYPLuaTriggerCandidates.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h
M	src/PYPSuggestionCandidates.cc
M	src/PYPSuggestionCandidates.h
M	src/PYPSuggestionEditor.cc
M	src/PYPTradCandidates.cc
M	src/PYPTradCandidates.h
M	src/PYPinyinProperties.cc
M	src/PYPinyinProperties.h
M	src/PYPointer.h
M	src/PYProperty.h
M	src/PYPunctEditor.cc
M	src/PYPunctEditor.h
M	src/PYRawEditor.h
M	src/PYSignal.h
M	src/PYSimpTradConverter.cc
M	src/PYSimpTradConverter.h
M	src/PYString.h
M	src/PYText.h
M	src/PYTypes.h
M	src/PYUtil.h

commit 215418a204ef83cfed6c90a5ce092cadd4a95d5f
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-04-23 14:55:19 +0800

    update COPYING

M	COPYING

commit 1e9f1f343f4c098fc9619364233e905182eba9bb
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-04-13 14:45:42 +0800

    update appdatadir

M	data/Makefile.am

commit f026d3f074786482f1b00b19811838b9535a99bb
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-04-13 14:43:16 +0800

    bump version 1.11.93

M	configure.ac

commit 79046a6fcb1fcb7c8d316ab958264f9b23837c9d
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-27 12:08:19 +0800

    fixes ExtEditor

M	src/PYExtEditor.cc

commit 117b8c6752650317be76ab007cb1018a2d0a2d34
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-19 16:26:32 +0800

    update NEWS

M	NEWS

commit 585388b542bbfcda2859911754e68ea3b884b083
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-19 16:24:49 +0800

    bump version 1.11.92

M	configure.ac

commit a804ecd6b3109c08a10b72cc88ae56b48fc8e5d0
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-19 16:21:50 +0800

    update po files

M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit d1b8f40c7e2081405873726c931e328e0d025087
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-19 16:09:37 +0800

    fixes desktop.in files

M	data/ibus-setup-libbopomofo.desktop.in
M	data/ibus-setup-libpinyin.desktop.in

commit bfd577a0006ba09b8d9d4e42f513eae06118a4c3
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-19 15:20:12 +0800

    update NEWS

M	NEWS

commit a168a1abb609c9d570d9e94ce82f417ed0b55e28
Author: hollowman6 <hollowman186@vip.qq.com>
Date:   2020-03-03 09:26:07 +0000

    update po files

M	po/ca.po
M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 8c65964af7d214ff2ba700b341c9adc80de860e7
Author: hollowman6 <hollowman186@vip.qq.com>
Date:   2020-03-03 09:17:49 +0000

    Fix grammar errors in code

M	setup/ibus-libpinyin-preferences.ui
M	setup/keyboardshortcut.py
M	setup/shortcuteditor.py
M	src/PYEnglishEditor.cc

commit 107e405d72e0bb09112b82d3cfef51e29f0119cd
Author: hillwoodroc <hillwoodroc@gmail.com>
Date:   2020-03-03 15:18:59 +0800

    Update translations.

M	po/ca.po
M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 88a365e47f50224120e5399116bf89664ead2df4
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-03 10:32:17 +0800

    update ibus-libpinyin-preferences.ui

M	setup/ibus-libpinyin-preferences.ui

commit dd855e663aa79095287ac8f0cb333e676936edc7
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-03-03 10:04:17 +0800

    update po files

M	po/ca.po
M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 915f2ff1d5f58b43ef2167a94e3060c342f7abe7
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-02-26 16:18:53 +0800

    fixes memory leak in pinyin_get_sentence call

M	src/PYPBopomofoEditor.cc
M	src/PYPLibPinyinCandidates.cc
M	src/PYPPinyinEditor.cc

commit 7be9b52ba5ef951d48de960d36d0c015d7d50cd8
Author: Peng Wu <alexepico@gmail.com>
Date:   2020-01-08 14:49:01 +0800

    fixes punct mode

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 682a15b906cc8696510d5c888db66827770a94ef
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-26 11:59:42 +0800

    update NEWS

M	NEWS

commit 79cd627e0342c7e6f5f17cd3295c7c83a4c39ac3
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-26 11:56:27 +0800

    update ChangeLog

M	ChangeLog
M	NEWS

commit 362e5a9dc697decd93382dd66507d4838800cbf9
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 15:00:01 +0800

    write removeCandidate method

M	src/PYPEmojiCandidates.cc
M	src/PYPEmojiCandidates.h
M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaConverterCandidates.h
M	src/PYPLuaTriggerCandidates.cc
M	src/PYPLuaTriggerCandidates.h
M	src/PYPTradCandidates.cc
M	src/PYPTradCandidates.h

commit 503de9a7f203eb3d98f1313e5e0acd2ad77be2a7
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:57 +0800

    write removeCandidateInternal method

M	src/PYEditor.cc
M	src/PYEditor.h
M	src/PYPEnhancedCandidates.h
M	src/PYPLibPinyinCandidates.cc
M	src/PYPLibPinyinCandidates.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 2b2fdb2a1d948eab46fdca289fd5f579af078ff8
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:53 +0800

    fixes compact display style

M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc

commit dca9d262c84ee234f2be75b8589d666aece3dd06
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:48 +0800

    add display style option to setup dialog

M	setup/main2.py

commit 383604078235c0c87c23f00e24da8c7919f942ca
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:44 +0800

    update ibus-libpinyin-preferences.ui

M	setup/ibus-libpinyin-preferences.ui

commit de84d3eb000e333d9bd4b1d6a3d40c9040ca8bad
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:39 +0800

    support display style option

M	src/PYPBopomofoEditor.cc
M	src/PYPConfig.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPinyinEditor.cc

commit 584cdae8db5b3b64063ce692f431b1945e1e13e4
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:34 +0800

    fixes Makefile.am

M	data/Makefile.am

commit f20a610b7f08fb0a3b95bf0022e8e85c8f0f0747
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:28 +0800

    bump version 1.11.91

M	configure.ac

commit 555abcaf3aef847456d7b86ed2bde57b6ddc62c1
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:22 +0800

    add display style option

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit 99efd06f6b6a71a9d49cbc85e48ca338cde50da9
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:59:10 +0800

    fixes lua plugin warnings

M	lua/lua-plugin.c

commit d6afa093cdb453579e4fc4035b9b8137a44c8e3d
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-19 14:58:15 +0800

    Update com.github.libpinyin.ibus-libpinyin.gschema.xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit 8889ab2e3574a781404ebcec1504594ed28ea79a
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-03 14:23:02 +0800

    fixes desktop file for ibus-libpinyin setup dialog

M	data/Makefile.am

commit 2ab63bd24f091315fecfc9ccd0495a6832ec327c
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-12-03 14:07:17 +0800

    Use Python 3.2

M	configure.ac

commit 17121ad1dbc8c9be44d449c2d79179cdd90f6d7c
Author: Peng Wu <pwu@redhat.com>
Date:   2019-11-29 13:23:16 +0800

    fixes comma handling

M	src/PYFallbackEditor.cc

commit 592b628000d9b58bb714ff9232d7d2ddf814cacf
Author: Peng Wu <pwu@redhat.com>
Date:   2019-11-21 14:45:28 +0800

    fixes period handling again

M	src/PYFallbackEditor.cc

commit 1eb70ce12bed9d6b53c02ac8693ec52abe1d0216
Author: Peng Wu <pwu@redhat.com>
Date:   2019-11-20 19:12:47 +0800

    fixes period handling

M	src/PYFallbackEditor.cc
M	src/PYPPinyinEditor.cc

commit 6ee1cb7b37225f953ba611e6e16b82d36c02acf5
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-09-09 11:08:10 +0800

    fixes EnglishEditor again

M	src/PYEnglishEditor.cc

commit 981127a67d429262cf11257f98b4937f7461288c
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-09-06 15:19:22 +0800

    fixes EnglishEditor

M	src/PYEnglishEditor.cc

commit 75806735002f940927648b5abd04a4b6704518fc
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   2019-08-28 15:58:30 +0800

    don't use sed -i
    
    sed -i is a non-standard feature which may have different syntax or
    meaning depending on the implementation. It is better to use a
    temporary file instead of relying on a sed command implementing the
    feature in the same way as GNU sed.

M	data/Makefile.am

commit 197e1b6c16608956141cd3668d35e4c22d18027e
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-07-26 17:41:12 +0800

    fixes crash in clearPinyinUserData method

M	src/PYLibPinyin.cc

commit 86cd6d89193b2137f6ad622e1b6939ae2677fc1b
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-05-09 15:02:14 +0800

    fixes desktop files

M	data/Makefile.am

commit d28daf1b85a0e52b2bfb7c82e901dce60df34cde
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-05-09 14:27:55 +0800

    add both-switch option

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml
M	setup/shortcuteditor.py
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPBopomofoEngine.cc
M	src/PYPConfig.cc
M	src/PYPPinyinEngine.cc

commit 27103d833d0aa6e572bd769695447ff4162269a5
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-05-07 14:49:49 +0800

    update ChangeLog

M	ChangeLog

commit 2328a50d678a6fd737057b57f593f67ea10744df
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-04-29 16:39:27 +0800

    fixes SuggestionEditor

M	src/PYPSuggestionEditor.cc

commit dcd9f98ae004cfb1270d472adc9cafcca0e625da
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-03-07 17:41:11 +0800

    Use gettext

M	Makefile.am
M	configure.ac
M	data/Makefile.am
R100	data/ibus-setup-libbopomofo.desktop.in.in	data/ibus-setup-libbopomofo.desktop.in
R100	data/ibus-setup-libpinyin.desktop.in.in	data/ibus-setup-libpinyin.desktop.in
M	m4/Makefile.am
M	po/Makevars
M	po/POTFILES.in
M	po/POTFILES.skip

commit 730847008beb5af220c0a9b1b5c713ba23560984
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-02-19 16:44:16 +0800

    add emoji-candidate option

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc
M	src/PYPPhoneticEditor.cc

commit 8ff8a7027673b036a4e4eb2d927abc20ec21cc26
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-02-19 16:32:56 +0800

    bump version 1.11.1

M	configure.ac

commit 9b15d6b86ad84cee5c86c9e27fd24107c6eab89f
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-15 11:57:09 +0800

    update ChangeLog

M	ChangeLog

commit f7723fe9a30ea73f6308437e3fa83a140fdf0c02
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-15 11:50:31 +0800

    bump version 1.11.0

M	configure.ac

commit 7c565e402369eaa82790b9f2550ec11ffd87e7ab
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-13 19:16:06 +0800

    fixes typo

M	src/PYFallbackEditor.cc

commit 9a1474c0e4972fa4d7c53e19ac939f6d3faacc69
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-11 15:41:11 +0800

    fixes keypad decimal

M	src/PYFallbackEditor.cc

commit a0a9fd6b1deb4384ac7ca8ce0bc35c98d1193339
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-11 09:59:06 +0800

    fixes updateCandidates method

M	src/PYPPhoneticEditor.cc

commit 052273cbf8f046eb7442bc036823934a68754eb9
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-09 14:31:56 +0800

    bump version 1.10.93

M	configure.ac

commit 742fdb83a12f5238c0cab3d6ff6b6227c260e2f9
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-04 12:45:16 +0800

    update GSettings xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit d5e38a036b85a011db6a251c814a2f2ee768e6cd
Author: Peng Wu <alexepico@gmail.com>
Date:   2019-01-04 12:42:09 +0800

    minor fixes

M	src/PYPConfig.cc

commit 42b2a4c1fbef71dadc97d0a820d96db977393495
Author: Marcin Mielniczuk <marmistrz.dev@zoho.eu>
Date:   2018-12-27 16:56:18 +0100

    Support configurable opencc config

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPSuggestionEditor.cc
M	src/PYPTradCandidates.cc
M	src/PYPTradCandidates.h
M	src/PYSimpTradConverter.cc
M	src/PYSimpTradConverter.h

commit dd4699124dbaacf5119092d82c090917b78a5f1a
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-11-15 10:58:18 +0800

    update english-user.db path

M	src/PYEnglishEditor.cc

commit b780a46a6914de95a77c4296ddcb45e01e2bfd64
Author: ZhaoQiang <zhaoqiang@gnome.org>
Date:   2018-11-14 12:19:49 +0800

    Update PYPEmojiCandidates.cc: change strcmp to use c++ library.

M	src/PYPEmojiCandidates.cc

commit be40c06eb53f4832cc741c09b58e2afa5d8f2ce4
Author: DevilApp <35273268+DevilApp@users.noreply.github.com>
Date:   2018-11-11 18:45:21 +0100

    Fixed french translation
    
    I have updated the outdated french translation and fixed some language errors. Now there's some strings left.

M	po/fr.po

commit 0401ff95be8f8b906d7a79feded7482c4172b28f
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-31 13:18:22 +0800

    fixes lua build

M	src/PYEngine.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h
M	src/PYPSuggestionEditor.cc
M	src/PYPSuggestionEditor.h

commit 17ec73fad0f05cb23c2213ddc0ec2b798bbe6ab3
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-26 10:39:11 +0800

    fixes updatePreeditText method

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit 09ea48d54d1dca187ec6ab558ec8a2ce60b3ac1a
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-24 15:38:43 +0800

    update ChangeLog

M	ChangeLog

commit f64d4eaec11484ab973181d407795da43be901bb
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-24 15:33:12 +0800

    bump version 1.10.92

M	configure.ac

commit fabf5bf312567fd451c6481ad39e9efcf80f0fe4
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-23 10:49:49 +0800

    update PYSimpTradConverterTable.h

M	src/PYSimpTradConverterTable.h

commit 850975607a761f566b78d31efe4bef622088a977
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-23 10:48:32 +0800

    update Makefile.am

M	src/Makefile.am

commit b4f0705661a3458423bab03234cc2a06285735b8
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-22 17:18:31 +0800

    update php_2_py.php

M	scripts/php_2_py.php

commit 6716c315210920b2f1e7b3ef816052d051ab19dd
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-22 17:05:31 +0800

    update update-simptrad-table.py for python3

M	scripts/update-simptrad-table.py

commit f3863de494c7de92f2e18728f0d52fb20828138c
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-17 16:01:29 +0800

    fixes Enter handling

M	src/PYPPhoneticEditor.cc

commit f93aa7cd0bd1b0db87b6daa234df5a59dde5c766
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-11 14:43:31 +0800

    update ChangeLog

M	ChangeLog

commit de60aced6e50e94fbaf1cc77eb9638c6609580b3
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-10-11 11:05:20 +0800

    update configure.ac

M	configure.ac

commit d43f8cabdbe3a0a47b8bbea05c95f26bfaac0517
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-27 16:49:30 +0800

    enable emoji candidates

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 1ef1a6c3683980ce73e25bb3a61fbef97a603240
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-27 16:23:42 +0800

    fixes compile

M	src/PYEditor.h
M	src/PYPEmojiCandidates.cc

commit 2b2233e88bf8c54f30aed33dbb5aacc8331ecd53
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-27 16:23:35 +0800

    update Makefile.am

M	src/Makefile.am

commit deb237fc43e05732ff865653d3949f5a6e5f9abf
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-27 16:15:03 +0800

    write PYPEmojiCandidates.cc

M	src/PYPEmojiCandidates.cc
M	src/PYPEmojiCandidates.h

commit 2744a5808b1c2d7a5b0daa1e203447f9e81e9556
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-27 14:04:41 +0800

    import PYPEmojiTable.h

A	src/PYPEmojiTable.h

commit bc1e3e194c6a4eb67030261461cfa922df7b1a51
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-27 14:02:30 +0800

    begin to write PYPEmojiCandidates.cc

A	src/PYPEmojiCandidates.cc

commit b8213e99026adc69dd889774e214e1c9b965371b
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-25 15:32:17 +0800

    import PYPEmojiCandidates.h

A	src/PYPEmojiCandidates.h

commit 44724fda947dd7a0c4a3d7f569521205cd04fcfd
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-21 18:47:19 +0800

    add comments

M	scripts/extract_emoji.py

commit 09838ef2cc7dee4fa32935564825325199478477
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-21 17:47:28 +0800

    import PYPEmojiTable.h.in

A	scripts/PYPEmojiTable.h.in

commit 4b6017c2149b1f1ca1f7ec3260310da9dbf40260
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-21 17:46:59 +0800

    import extract_emoji.py

A	scripts/extract_emoji.py

commit 78c7636176951a8528dc9e2793d32a42680e434a
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-14 14:48:18 +0800

    commit m_text when switch input mode

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit f4d792986e5d52e6104d0e9ab159a8197608667d
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-14 14:34:26 +0800

    fixes English Editor

M	src/PYEnglishEditor.cc

commit bd60f5bb77aa093119cd691dfe880d7040039f70
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-10 14:50:49 +0800

    fixes Bopomofo Editor

M	src/PYPBopomofoEditor.cc

commit 4e763225c1cb1fc9876c785bd5217a8bb6f5619f
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-09-10 14:04:14 +0800

    fixes rememberUserInput method

M	src/PYPBopomofoEditor.cc
M	src/PYPLibPinyinCandidates.cc
M	src/PYPPinyinEditor.cc

commit 76942e76aa48f174abf17fc8c9673ce986ed00dc
Author: 7535 <40716445+7535@users.noreply.github.com>
Date:   2018-08-14 21:23:05 +0800

    fix typo
    
    "restart" in Chinese is "重启", not "重起".

M	po/zh_CN.po

commit f9d594707455656554c4f98fe033e745f614614b
Author: Graham Ramsey <gramsey@virginmedia.com>
Date:   2018-06-26 21:23:04 +0100

    fix broken boost with latest GCC versions - get up to date boost.m4
    
    the version of boost.m4 used in the project is out of date - it does not work with latest GCC
    this means the ./configure step falls over when 'boost' is selected.
    
    this file is unmodified from latest upstream source
    https://github.com/tsuna/boost.m4/commits/master/build-aux/boost.m4

M	m4/boost.m4

commit 96307d95a49078c7bb645ae60c216cafb431f8a9
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-27 11:44:25 +0800

    fixes processKeyEvent method

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 76318b525e8dd4635ac628d184dc6186c9bee966
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-25 17:18:07 +0800

    fixes processAccelKeyEvent method

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 8355dc8878f25c5ea7d39c2c1ca382f26e6a747e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-25 15:37:56 +0800

    fixes SuggestionEditor

M	src/PYPSuggestionEditor.cc

commit 7497983f85bc9f4c80837bc36346477dbd9e3c2f
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-25 13:58:12 +0800

    update m_show_suggestion

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit 20dab8b5e2f389fb0f581b3a9574c800de49fa96
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-25 13:56:07 +0800

    update gschema xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit 84b4fd5a6345e5ef042549affaa10973156c10d1
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-25 11:27:07 +0800

    write m_need_update variable

M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit e6438371f64fcf3791f37e30f9a66f6282276961
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-25 11:23:42 +0800

    write updateLookupTableFast method of class SuggestionEditor

M	src/PYPSuggestionEditor.cc
M	src/PYPSuggestionEditor.h

commit 0cb05c62b4e518abb2fc8a833f06c460bad9932e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-22 18:51:26 +0800

    fixes SuggestionEditor

M	src/PYPBopomofoEngine.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPinyinEngine.cc

commit a10813d0a4ccb8306923f6f7e6edac5b92f9ba31
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-22 18:06:25 +0800

    fixes typos

M	src/PYPPinyinEngine.cc
M	src/PYPSuggestionEditor.cc

commit 7128295dfc35233b52f511f00ab6920e8905ec76
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-22 13:28:18 +0800

    drop SELECT_CANDIDATE_MODIFY_IN_PLACE_AND_COMMIT

M	src/PYPEnhancedCandidates.h
M	src/PYPLibPinyinCandidates.cc
M	src/PYPLuaConverterCandidates.cc
M	src/PYPTradCandidates.cc

commit f17ae41890b16121f9498c5bb2336137feab781d
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-22 13:24:47 +0800

    update selectCandidate method

M	src/PYEditor.cc
M	src/PYEditor.h
M	src/PYPBopomofoEngine.cc
M	src/PYPEnhancedCandidates.h
M	src/PYPLibPinyinCandidates.cc
M	src/PYPLibPinyinCandidates.h
M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaConverterCandidates.h
M	src/PYPLuaTriggerCandidates.cc
M	src/PYPLuaTriggerCandidates.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYPSuggestionCandidates.cc
M	src/PYPSuggestionCandidates.h
M	src/PYPSuggestionEditor.cc
M	src/PYPSuggestionEditor.h
M	src/PYPTradCandidates.cc
M	src/PYPTradCandidates.h

commit ba9f507566d0b7acd48a9e0b3a1c4ffda383b922
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-22 10:17:04 +0800

    re-factor code

M	src/PYPBopomofoEngine.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPinyinEngine.cc
M	src/PYPSuggestionEditor.cc

commit 1337055235e122bde9cb56b2fecf022329b6d587
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-21 18:38:25 +0800

    update base.lua

M	lua/base.lua

commit 02f6a064f70c3e51beec0faac437ae991b67d82d
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-20 18:02:23 +0800

    fixes typo

M	src/PYPPinyinEngine.cc

commit be45838329507fd662914af816ff514f115dc5de
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-20 17:00:39 +0800

    fixes warning

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPSuggestionEditor.h

commit e4a2fe0b514d63b2721f4f65608f362a15237456
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-20 16:37:14 +0800

    update setup dialog

M	setup/main2.py

commit d459b349a0f61781dae9f13ab16da285063f751e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-20 16:33:20 +0800

    update ibus-libpinyin-preferences.ui

M	setup/ibus-libpinyin-preferences.ui

commit 622b55b3fa8736d4e4c357945c57075967cba894
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-20 15:18:04 +0800

    write setLuaPlugin method

M	lua/lua-plugin.h
M	src/PYEngine.cc
M	src/PYExtEditor.cc
M	src/PYExtEditor.h
M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaConverterCandidates.h
M	src/PYPLuaTriggerCandidates.cc
M	src/PYPLuaTriggerCandidates.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h
M	src/PYPSuggestionEditor.cc
M	src/PYPSuggestionEditor.h

commit 6ead074c8939c9530c5f841e7b2a0987267766e5
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-19 16:25:46 +0800

    fixes compile

M	src/PYEditor.h
M	src/PYPEnhancedCandidates.h
M	src/PYPLibPinyinCandidates.h
M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaConverterCandidates.h
M	src/PYPLuaTriggerCandidates.cc
M	src/PYPLuaTriggerCandidates.h
M	src/PYPPhoneticEditor.h
M	src/PYPSuggestionCandidates.cc
M	src/PYPSuggestionCandidates.h
M	src/PYPTradCandidates.h

commit d0d1622c759e73e0a8bb4763ca8f8fb6a98224a2
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-19 16:13:47 +0800

    write class SuggestionEditor

M	src/PYPSuggestionEditor.cc
M	src/PYPSuggestionEditor.h

commit be71008ef85648271c24a93f43f27423c17b5c21
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-19 15:29:40 +0800

    write PYPSuggestionCandidates.cc

A	src/PYPSuggestionCandidates.cc

commit fdf152d8b27763dfeb12dc654c5068acc8a69cae
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-19 15:20:52 +0800

    update Makefile.am

M	src/Makefile.am

commit f1baf78b9ea8d971759537daa56f09338624220e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-19 15:08:09 +0800

    write PYPSuggestionCandidates.h

M	src/PYPEnhancedCandidates.h
A	src/PYPSuggestionCandidates.h

commit b242c46a26297c2523a864f5d734fbc39bf99bff
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-19 14:24:05 +0800

    write class SuggestionEditor

M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaTriggerCandidates.cc
M	src/PYPPhoneticEditor.h
M	src/PYPSuggestionEditor.cc
M	src/PYPSuggestionEditor.h

commit 915d484a05b3482a9638ba54075ab71888444448
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-19 12:07:57 +0800

    update commitText method

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 001aeae58e4d165b5885f29b257589aece8af1f5
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 18:17:18 +0800

    update gschema xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit 1b5b31a1b51c6fd29c68c385fee7af69b6fcb310
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 17:19:20 +0800

    fixes lua converter

M	src/PYPPhoneticEditor.cc

commit 313647e5c8bf9301cafe53743c411a7cf167b539
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 16:04:25 +0800

    begin to write class SuggestionEditor

A	src/PYPSuggestionEditor.cc
M	src/PYPSuggestionEditor.h

commit ea4784475c1491c9eb6fd0eec454588f2333ce75
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 16:02:18 +0800

    support suggestion mode in BopomofoEngine

M	src/PYPBopomofoEngine.cc

commit 6eed8c257e9c5870fcd32aa8eedf01ce7bec6613
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 16:02:00 +0800

    support suggestion mode in PinyinEngine

M	src/PYPPinyinEngine.cc

commit 43f0846c494b5bf1b759905ee1d2dc2c2de02059
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 11:55:43 +0800

    update Makefile.am

M	src/Makefile.am

commit 1cc1fe8b7b7d70e611f3e74d56cca8f1c837ed4e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 11:52:36 +0800

    use IBUS_BUILD_LUA_EXTENSION

M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEngine.cc

commit 766a1322395e32286930a62b9f66033a0d8d637c
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-15 11:36:12 +0800

    fixes lua memory leak

M	lua/lua-plugin.c
M	lua/lua-plugin.h
M	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaTriggerCandidates.cc

commit 89e6d4c522217278ac24d5f4cfc38162a267c9a3
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-14 16:16:08 +0800

    write PYPSuggestionEditor.h

A	src/PYPSuggestionEditor.h

commit 7216bcd03777defa253f2c70eeda364f345970dc
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-14 15:53:43 +0800

    add option show suggestion

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit 94e9584b8b81cdcb4bce15ab58e83001bd085192
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-14 15:21:29 +0800

    add option lua converter

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc
M	src/PYPPhoneticEditor.cc

commit b706eb6d35a6ba4fd33e2aeea5325e2db82cb9fe
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-14 15:09:40 +0800

    bump version 1.10.91

M	configure.ac

commit e25fc8e6e7dcc3f05cb1c530077fd911d26d7cf2
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-14 15:08:03 +0800

    use lua converter

M	lua/lua-plugin.c
M	src/PYPPhoneticEditor.cc

commit 44abb976b536a604916f0cc1738c49c4babf129d
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-14 15:07:02 +0800

    update gschema xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit 6715c04f36bf7194bbfe38cc29314b0efd2eeb46
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-13 16:18:13 +0800

    update class PhoneticEditor

M	src/PYPLuaTriggerCandidates.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit e7da2e05d080a7496e0d27281dde66eeb569930f
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-13 16:11:03 +0800

    write class LuaConverterCandidates

A	src/PYPLuaConverterCandidates.cc
M	src/PYPLuaConverterCandidates.h

commit e5f39e8907cbb59b84f570dda9adba9706fa98b7
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-13 15:56:39 +0800

    update Makefile.am

M	src/Makefile.am

commit 78dbd77ee0bf15dcab4f72b1cd4733d54ad55867
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-13 15:42:24 +0800

    write class LuaTriggerCandidates

M	src/PYPEnhancedCandidates.h
A	src/PYPLuaTriggerCandidates.cc
M	src/PYPLuaTriggerCandidates.h
M	src/PYPPhoneticEditor.h

commit 4b9d8723f13108be4e2da91d72db9f32b9177e4f
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-13 15:41:05 +0800

    update Makefile.am

M	src/Makefile.am

commit 654173627c7d973dacd3ab874b05e3d4d722f507
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-13 15:00:01 +0800

    update PYExtEditor.*

M	src/PYExtEditor.cc
M	src/PYExtEditor.h

commit f8f84eb3d12c1913fa342871cf1a6568ac3a75c0
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-12 16:47:44 +0800

    rename ibus_engine_plugin_get_result_string to ibus_engine_plugin_get_first_result

M	lua/lua-ext-console.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h

commit e7a6091b44fe4a932a2f4637313ff36ae03e119b
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-12 16:19:14 +0800

    update lua-ext-console.c

M	lua/lua-ext-console.c

commit bb51fd16c244a5e93add5ad9df2fb21460fb4032
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-12 15:57:46 +0800

    define lua candidates header

A	src/PYPLuaConverterCandidates.h
A	src/PYPLuaTriggerCandidates.h

commit 4821c9acb8fb76c27d7fdbd3e3bacb1af4015122
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-12 14:52:26 +0800

    fixes crash

M	lua/lua-plugin-init.c

commit 21efde045adb52ef5341b567ec0d76e06d822105
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-11 13:46:38 +0800

    update comments

M	src/PYPEnhancedCandidates.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit 7b485605d696bb96a6024d22a259336dcd16fb72
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-08 16:16:05 +0800

    update lua-plugin-init.c

M	lua/lua-plugin-init.c
M	lua/lua-plugin.c

commit 41b283aeed897d5ea23ce2a60b9470472b2d492c
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-08 15:44:21 +0800

    update lua-plugin.c

M	lua/lua-plugin.c
M	lua/lua-plugin.h

commit 184a264f3eb4436ff2377b7db498cd321a339393
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-07 17:52:12 +0800

    fixes crash

M	src/PYPPhoneticEditor.cc
M	src/PYPTradCandidates.cc

commit 24cd9ed4274d9a7a7a25862537d08b8e83be30bf
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-07 15:07:31 +0800

    update lua-plugin.h

M	lua/lua-plugin.c
M	lua/lua-plugin.h

commit c2e1912687bf89c6b0d8bb9529998f775e95ea51
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-06 17:17:42 +0800

    re-factor updatePreeditText method

M	src/PYLibPinyin.cc
M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit e9cb1572f84785cada0e5434d1b992ba1298b1a4
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-06 16:57:42 +0800

    re-factor commit method

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit de688e73654da6a7ace797f35e34275daa4980d3
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-06 16:11:45 +0800

    re-factor selectCandidate method

M	src/PYPBopomofoEditor.cc
M	src/PYPPhoneticEditor.cc

commit 927d3e23a6b8ee30b26b9fe8203c5fc4e56baf52
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-06 15:11:10 +0800

    re-factor fillLookupTable method

M	src/PYPPhoneticEditor.cc
M	src/PYPTradCandidates.cc

commit fa7d7df55f7e2894742851068b39735992cca51d
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-06 15:08:50 +0800

    update PYString.h

M	src/PYString.h

commit e0d134cb400b563f65bd9de36b5391a34b9e308c
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-04 17:20:12 +0800

    re-factor LibPinyinCandidates

M	src/PYPEnhancedCandidates.h
M	src/PYPLibPinyinCandidates.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 2720cbc52c5e31d4b4a0ad193c6ae369fcd0c5b2
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-01 12:47:39 +0800

    fixes compile

M	src/PYPEnhancedCandidates.h
M	src/PYPLibPinyinCandidates.cc
M	src/PYPLibPinyinCandidates.h
M	src/PYPPhoneticEditor.h
M	src/PYPTradCandidates.cc
M	src/PYPTradCandidates.h

commit c8a4d19615cd59345ca40f52b1ceefe8914ae700
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-06-01 12:23:07 +0800

    update Makefile.am

M	src/Makefile.am

commit f04c1c1fc48323e887180ac83efd7b9d378a732e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-05-29 16:38:29 +0800

    write class TraditionalCandidates

M	src/PYPEnhancedCandidates.h
M	src/PYPPhoneticEditor.h
A	src/PYPTradCandidates.cc
A	src/PYPTradCandidates.h

commit 48e0fe774d08fc0f0efeaa5184923958d134a86e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-05-28 16:26:28 +0800

    write class LibPinyinCandidates

A	src/PYPLibPinyinCandidates.cc
M	src/PYPLibPinyinCandidates.h

commit 21afd8f83a2223b213c64bff15e9d7e65614e5bd
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-05-25 16:27:01 +0800

    begin to write class LibPinyinCandidates

M	src/PYPEnhancedCandidates.h
A	src/PYPLibPinyinCandidates.h
M	src/PYPPhoneticEditor.h

commit d45f68868b4a4be003364761e456cbc372a758f3
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-05-24 16:16:04 +0800

    begin to write class EnhancedCandidates

A	src/PYPEnhancedCandidates.h
M	src/PYPPhoneticEditor.h

commit 0361867fc9f16f544d5b6e5ffc3cd13a486aa8fb
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-17 13:13:13 +0800

    update ChangeLog

M	ChangeLog

commit 3def832ad5301cf35b669a0a1212673cb69eb812
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-17 13:09:52 +0800

    bump version 1.10.0

M	configure.ac

commit 5501f15ee691269fdd8fff9b638dc67f59e33fd1
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-10 14:21:07 +0800

    bump version 1.9.92

M	configure.ac

commit 07bb19a4c19fefbacd5054d30def6a6928591ac0
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-10 14:19:54 +0800

    update gsettings xml

M	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit eabf11f2ac92d90f19ad53d567460ff25cb1ff99
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-04-10 14:12:34 +0800

    change default value for candidate sort option

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit 20b3cebd3393d827a20c617e78be04f23181fec2
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-16 16:09:14 +0800

    fixes Shift key

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 535dc74babeadf5e7826acd92c7aaa5c78f4647e
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-15 17:55:30 +0800

    fixes m_select_mode for Bopomofo Editor

M	src/PYPBopomofoEditor.cc

commit 9619fac3d1fcc6f85e6bd0a6022989a0a4fe57ad
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-15 16:14:34 +0800

    fixes String usage

M	src/PYEnglishEditor.cc
M	src/PYExtEditor.cc
M	src/PYStrokeEditor.cc

commit 8b52e709e857297b28fc76e9034f799538a42f5b
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-15 16:12:16 +0800

    fixes candidates label

M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h

commit c3fd3646a3b4c6509840accb050f338f71035f6a
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-15 16:09:24 +0800

    update class String

M	src/PYEditor.cc
M	src/PYString.h

commit 279a9da2cad9e0f5ee7c20f8a132b074eae67f34
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-15 15:29:30 +0800

    fixes enter key

M	src/PYPBopomofoEditor.cc

commit 942ba12b23960db691f092a76dd559f79931d675
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-14 14:12:26 +0800

    clean up class Config

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit aaf56dbfdf4c71af439d9987f53816d33e7a64da
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-14 14:03:34 +0800

    fixes crash

M	src/PYPConfig.cc

commit c1a836c812e4627db5ba4de50cc8bddbeba1d100
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-13 14:49:19 +0800

    use GSettings in class Config

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYMain.cc
M	src/PYPConfig.cc
M	src/PYPConfig.h

commit 490ad011a162e4867a6ba044f07e7cace7207ae1
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-13 13:41:32 +0800

    use GSettings in setup dialog

M	setup/main2.py
M	setup/shortcuteditor.py

commit 84c420e0ec0f2f4a16f0a4e99be3a68114b9ebc5
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-12 14:46:42 +0800

    update ChangeLog

M	ChangeLog

commit 0455c2e3425ff5c54a11380ff51a0a55f15c3afb
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-12 14:45:56 +0800

    update autotools

M	configure.ac
M	data/Makefile.am

commit 4696471d4386079ee0ca4aefbc4ab773549b6a1c
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-03-12 14:37:04 +0800

    import com.github.libpinyin.ibus-libpinyin.gschema.xml

A	data/com.github.libpinyin.ibus-libpinyin.gschema.xml

commit d125871eb9b855e2f8d9e2a845d9c0a284b26618
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-02-24 10:35:26 +0800

    fixes comments

M	src/PYPPinyinEngine.cc

commit f80b1fbf06ffe89a15ad74d7c0c4e8b4aa4ec1c2
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-02-23 15:54:25 +0800

    enable English and Stroke Editor for Double Pinyin

M	src/PYEnglishEditor.cc
M	src/PYExtEditor.cc
M	src/PYExtEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYStrokeEditor.cc

commit 28fa26af3d5680253e7a47953801add0e44118bf
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-02-23 15:21:49 +0800

    fixes LyX shortcut issue in class FallbackEditor

M	src/PYFallbackEditor.cc

commit eb90e12e30741acff3dc5e66ce0763a1c363d4c3
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-02-08 16:32:28 +0800

    update ChangeLog

M	ChangeLog

commit d620270e169326292e9adb40a06bc02f2cb21a84
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-02-08 16:31:08 +0800

    bump version 1.9.91

M	configure.ac

commit dbb5a52ab59b82062dfb34ac725fcea66bf3e6e9
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-16 15:54:45 +0800

    update src/Makefile.am

M	src/Makefile.am

commit 3736e74f698e7cb16879a405963cd0a53cdd1dd0
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-16 15:50:12 +0800

    remove phrases.txt

D	src/phrases.txt

commit 288777275f7c092f8a9731c16e6187ec996b0586
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-04 16:57:17 +0800

    update ChangeLog

M	ChangeLog

commit 53b7d0d67b0c6350e2707b67458ca4c82ac4413f
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-04 16:56:37 +0800

    bump version 1.9.3

M	configure.ac

commit b282d7d5008ac2528c9a024a37e1f122094326e7
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-04 16:52:43 +0800

    update po files

M	po/ca.po
M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 80bef99ca10b75a0f1d129804feef6afeeb86664
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-04 16:50:20 +0800

    update POTFILES.in

M	po/POTFILES.in

commit 35e291c31da2f3b85d5f39bb96933b9a66a646a4
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-04 16:47:42 +0800

    update config.py.in

M	setup/config.py.in

commit 7dcbc13e007fab6de8f501f0415815889cb28066
Author: Peng Wu <alexepico@gmail.com>
Date:   2018-01-03 16:42:01 +0800

    update libpinyin.xml.in.in

M	src/libpinyin.xml.in.in

commit 53b5d4de6c8732da113f56efdd1e0e9b797d8591
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-09-01 13:28:40 +0800

    fixes compile for Lua 5.1

M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c
M	lua/lua-plugin.c
M	lua/test-lua-plugin.c

commit 5e2c5aa0d01cd103159dba976cbf05d47e28e7bf
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-29 16:46:13 +0800

    bump version 1.9.2

M	configure.ac

commit 26955ddf1336e23dbc6641462c02f3f16a6b648e
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-29 10:34:12 +0800

    update ChangeLog

M	ChangeLog

commit 8882bce91bdc944bc7b6e028c239fc049c69c0cd
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-28 16:14:24 +0800

    fixes LibPinyinConfig::valueChangedCallback method

M	src/PYPConfig.cc

commit ccc79dad636f04c7b4b5678da2d792e57d876c7c
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-24 17:11:26 +0800

    update ChangeLog

M	ChangeLog

commit d5c8136ffc338cec61754c574069f433870e1cd1
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-24 14:04:38 +0800

    update zh_CN.po

M	po/zh_CN.po

commit 1e5e0e280bd8f9bb8b7507c3fe2dc7819e659b3e
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-24 14:02:03 +0800

    update po

M	po/ca.po
M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 992a2f929a6ef609424db178e4b4d1c1b52dd2b4
Author: Anyist <realmirai@protonmail.com>
Date:   2017-08-19 22:42:37 +0800

    Fix two symbols in TC mode

M	src/PYFallbackEditor.cc

commit c34c490ebc1230149d435bfcc6dd3225884006c5
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-22 16:32:25 +0800

    support sort_candidate_option for setup dialog

M	setup/main2.py
M	src/PYPConfig.cc

commit 240ccefef75dd320d04fd085e4f02566c102ff26
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-22 15:58:27 +0800

    update ibus-libpinyin-preferences.ui

M	setup/ibus-libpinyin-preferences.ui

commit bd16f6dc33c52a5c11170feb034f6a1e76c863d1
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-22 15:40:47 +0800

    bump version 1.9.1

M	configure.ac

commit 6effa275c837ea1347c1df93855bf7f296579fdb
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-08-18 14:21:07 +0800

    use sort option for pinyin_guess_candidates function

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPPhoneticEditor.cc

commit 724747e301a1f99939a5f0c9db18ac851242e44a
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-04-20 15:52:53 +0800

    bump version 1.9.0

M	ChangeLog
M	configure.ac

commit f48da29797b7ed75ab7708e6fe39dbe11132d09b
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-03-07 14:39:04 +0800

    bump version 1.8.92

M	configure.ac

commit e8f2a020e3ec33a6608d72463c3e70ccc7652461
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-03-07 14:37:32 +0800

    update ChangeLog

M	ChangeLog

commit 6e87817cf1987df4cff71aa33b27811beb93c630
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-02-27 13:35:46 +0800

    update setup dialog

M	setup/main2.py
M	setup/shortcuteditor.py

commit 042d8199dce1ed5623c7ed6d58cd6e5683e6fcd8
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-02-27 13:27:20 +0800

    update dconf key name again

M	src/PYPConfig.cc

commit 3e3259164b8fab57e0ef604cc23c33a1e7841ce6
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-02-15 15:49:18 +0800

    update ChangeLog

M	ChangeLog

commit 013938531cde6ad2f9b36462eca1ba4fe2e1f486
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-02-10 15:34:26 +0800

    bump version 1.8.91

M	configure.ac

commit b6fa9a62daaec6374d352ed5e4066e7b105a92c9
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-02-10 15:27:55 +0800

    use libpinyin 1.9.91

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit 9b70b77d73333486fce7d598749d2431d5cbdb12
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-01-11 10:39:24 +0800

    fixes a typo

M	setup/main2.py

commit 0871fa0eb228af0abee03421f91256a779de4316
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-01-11 10:33:23 +0800

    fixes main2.py

M	setup/main2.py

commit 3d713493579c1c916684a3e0af6deff75cf22c7d
Author: Peng Wu <alexepico@gmail.com>
Date:   2017-01-11 10:08:21 +0800

    re-factor translate_to_longform function

M	src/PYExtEditor.cc

commit 21078d55d0601632ac57ec1a646a93241ba4fefa
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-12-28 13:52:44 +0800

    bump version 1.8.2

M	configure.ac

commit dcebc24f2b67ffd8525fd4312ef45f1750055f9d
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-12-28 13:51:24 +0800

    fixes a typo

M	setup/main2.py

commit 27aa99000d3a49ff690694dbb4c3f5cc2eff0767
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-12-23 13:23:25 +0800

    fixes localedir option for configure

M	setup/main2.py
M	src/Makefile.am
M	src/PYMain.cc

commit 58353eb49f56ce43d7cdbb73c01aafa37a44b715
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-12-22 15:38:45 +0800

    use icon_prop_key property

M	configure.ac
M	src/libpinyin.xml.in.in

commit 304f93870f0d2fc7b0880c9465e2585bf200dd4e
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-12-22 14:38:23 +0800

    fixes a typo

M	src/PYPConfig.cc

commit 02917a75f72a98813374fe6dac995ffef27f53b6
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-12-22 14:03:50 +0800

    update setup scripts

M	setup/main2.py
M	setup/shortcuteditor.py

commit 5532c292f7cbd59d1cb62fb61e500bfedea9e718
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-12-22 12:56:15 +0800

    update dconf key name

M	src/PYPConfig.cc

commit a11191192d5a6c38259a1e1b59afb69d2ce210c6
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-11-30 12:24:39 +0800

    update desktop files

M	data/ibus-setup-libbopomofo.desktop.in.in
M	data/ibus-setup-libpinyin.desktop.in.in

commit 7d7c396be1f496d1cf5cef84f919975244c5d367
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-11-30 10:11:58 +0800

    bump version 1.8.1

M	configure.ac

commit 56dd1d83570ff8c73e61c5a0cbc6b59881d19f3b
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-11-30 10:10:02 +0800

    update ChangeLog

M	ChangeLog

commit 56137e73d7152585475fcfb3bb70593e81e20a64
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-11-29 10:40:17 +0800

    fixes setup dialog

M	setup/Makefile.am
M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc
M	src/libpinyin.xml.in.in

commit 25bfb3fb9c99babfdff30c0912f474c059b1461a
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-11-14 14:53:04 +0800

    update main2.py

M	setup/main2.py
M	setup/shortcuteditor.py

commit 42a137c7444db2fa221e118d9e7206a32d0be121
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-11-14 14:22:58 +0800

    update PYPConfig.cc

M	src/PYPConfig.cc

commit 0303fd3ab567c08b2e98886e11fda5387b5ba1e3
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-11-14 14:11:24 +0800

    use libpinyin config namespace

M	setup/main2.py
M	src/PYPConfig.cc

commit 77c560f2a8b8889c01e1f1627b2262c1e7d91912
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-09-07 12:53:23 +0800

    use libpinyin 1.6.0

M	configure.ac

commit 6518ce23ca097f1353d862c94a5cf1459955ad5e
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-09-06 15:15:19 +0800

    bump version 1.8.0

M	configure.ac

commit 87ba6518a32e16d5080a986708b26417573ace1b
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-09-05 14:46:38 +0800

    update ChangeLog

M	ChangeLog

commit 3918b17d54f807b4643737f08c202751c8358131
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-08-31 15:08:06 +0800

    fixes main2.py

M	setup/main2.py

commit ccc1176a25c3ffb94079ae38c40f475d2b1f839c
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-08-08 16:13:30 +0800

    fixes updatePreeditText methods

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit efaff649a8621801e77613035fca50c371ba334e
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-08-08 13:08:56 +0800

    fixes getLookupCursor method

M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPPhoneticEditor.cc

commit a8f282b9e3843022cc80f8aa36d6f51e0a4f8860
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-08-02 13:42:29 +0800

    bump version 1.7.92

M	configure.ac

commit 98162ec3b4c2ada13a6482bc07b035b06b2494f5
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-08-02 13:19:43 +0800

    use libpinyin 1.5.92

M	configure.ac

commit 836be38da7c108288a922d85f1d212b5ef518a6d
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-25 14:12:01 +0800

    work around getLookupCursor

M	src/PYPPhoneticEditor.cc

commit b2819139121d302ea1c86eac1c5dbc22f1f70b22
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-21 16:16:01 +0800

    use g_assert instead of assert

M	src/PYLibPinyin.cc
M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit 4b4d5d200bf6ab4287ad1ab1c98a986abc11b19c
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-21 15:39:53 +0800

    fixes compile

M	src/PYLibPinyin.cc
M	src/PYPPinyinEditor.cc

commit 7f05038b522db86e966be4bd0c34c4c5c4dd266f
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-21 13:16:05 +0800

    add assert checks

M	src/PYLibPinyin.cc
M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit 5b5e43db425969d28082e904947b5eb5b5039c31
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-20 12:25:39 +0800

    update pinyin_get_character_offset call

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit 049b282689790b23efd95d9ae7ecbe5b30aba4e0
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-18 15:15:28 +0800

    use ibus 1.5.11

M	configure.ac

commit ac63a9737c418d562f971c07d697ae0fb3e9b7a2
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-18 14:44:59 +0800

    drop gdk-3.0 depends

M	configure.ac
M	src/Makefile.am
M	src/PYEngine.cc

commit deb96075e0fe9021f8fab16de612f3c4a8dc2d5e
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-12 13:32:40 +0800

    support extension editor in double pinyin

M	src/PYExtEditor.cc
M	src/PYPPinyinEngine.cc

commit 4f5d41b82b9fe2b76b642f89c32f3992fcd82319
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-11 16:31:45 +0800

    fixes some typos

M	src/PYPPhoneticEditor.cc

commit d91305ed078ae547912e1d130409921594fab704
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-11 10:35:35 +0800

    fixes a typo

M	src/PYPPhoneticEditor.cc

commit 31eb478d9a2745f5c3aec459ea4aa64dbb381c67
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-08 12:47:21 +0800

    use pinyin_remove_user_candidate function

M	src/PYPPhoneticEditor.cc

commit a913febc474c878dbb04c04205022beddfd8e8f3
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-06 14:39:24 +0800

    fixes auxiliary text

M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc

commit 573d7c64eacf4f8d98a2937cdda52a528c888a48
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-04 14:45:46 +0800

    bump version 1.7.91

M	configure.ac

commit 1b5818e46068c9f3b7858b9c6dd7cb390691ef4a
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-04 14:43:31 +0800

    fixes lua

M	lua/lua-plugin-init.c
M	lua/lua-plugin.c

commit ed7159efd0c86b2ed22c0ddceecda90b49d764a8
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-07-04 14:35:42 +0800

    port code to use libpinyin 1.5.91

M	src/PYLibPinyin.cc
M	src/PYPPhoneticEditor.cc

commit fbbb593328a437bb5f7e35f43c3a5838852566ae
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-06-29 10:32:58 +0800

    use pinyin_get_*_auxiliary_text functions

M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc

commit e361ed422efb606e7da2f72a068c7730107d7163
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-06-29 10:18:33 +0800

    use pinyin_get_character_offset function

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit 45b381ae37d5223b0b6ca24acd852a90291bb34e
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-06-28 16:43:43 +0800

    use libpinyin 1.5.91

M	configure.ac

commit b8f479255bb36a85aada85537ee7e37a9f2e233b
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-06-23 14:20:30 +0800

    update class PhoneticEditor

M	src/PYPPhoneticEditor.cc

commit 5e1ee95409c71542b8bb6dff4f88b27d9bc279cf
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-06-22 14:55:42 +0800

    begin to use libpinyin 1.5.91

M	src/PYPFullPinyinEditor.cc
M	src/PYPPhoneticEditor.cc

commit 5c016872462c1843849650d9f2147c9ca9e00bee
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-05-09 14:23:17 +0800

    Fixes FallbackEditor

M	src/PYFallbackEditor.cc

commit 429cc899b778a472f52f8b59ee1f439729246b65
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-04-12 10:42:44 +0800

    fixes leak

M	src/PYLibPinyin.cc

commit 5c0158fed5d62a1c995c36486328c577d1b1d194
Author: Peng Wu <alexepico@gmail.com>
Date:   2016-01-26 13:47:27 +0800

    fixes selectCandidate method

M	src/PYPPhoneticEditor.cc

commit cda8daf5018023c11e3668e47b3c72a3da5d3999
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-12-17 14:51:46 +0800

    bump version 1.7.4

M	configure.ac

commit 7a712b44bfe2e25741311ef82cd9fb4b53c35757
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-12-15 13:50:08 +0800

    update configure.ac

M	configure.ac

commit 28bbe2b3b8079736c16b58e8b44c72282b004eb3
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-12-14 16:59:49 +0800

    fixes m_bopomofo_keyboard_mapping option again

M	src/PYPConfig.cc

commit 0faf54eb96f18008cfb5d086da98f096c235408b
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-12-14 16:58:11 +0800

    Revert "fixes m_bopomofo_keyboard_mapping option"
    
    This reverts commit 9f197c3f4c675129e308de24e9be9e6f48756ba8.

M	src/PYPConfig.cc

commit 9f197c3f4c675129e308de24e9be9e6f48756ba8
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-12-14 15:43:03 +0800

    fixes m_bopomofo_keyboard_mapping option

M	src/PYPConfig.cc

commit 5fd31ab36c26496e397a745ea2287e92570a84fb
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-11-05 16:09:03 +0800

    fixes warning

M	src/PYExtEditor.cc

commit 4bb5fc19c0829053acd29619de59a85a73e03676
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-10-17 11:37:17 +0800

    use pinyin_in_chewing_keyboard method

M	src/PYPBopomofoEditor.cc

commit 1a19b3abb86129797d20ba3116428deaaa87df4c
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-10-17 11:12:48 +0800

    bump version 1.7.3

M	configure.ac

commit 328631e0957a48cd98bf3809ba0a221d1172904f
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-10-17 11:11:46 +0800

    use libpinyin 1.2.91

M	src/PYConfig.h
M	src/PYLibPinyin.cc
M	src/PYPBopomofoEditor.cc
M	src/PYPConfig.cc

commit 0c854b51dadbb18fb5e74eb3d7c744807a5ec312
Merge: 7e1ffb4 b22ad2c
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-10-09 13:33:25 +0800

    Merge branch 'rbuj-catalan'

commit b22ad2c9abd4e5ef9c3d36af6ecc4d94c6b7f27c
Author: Robert Antoni Buj Gelonch <rbuj@fedoraproject.org>
Date:   2015-10-01 21:21:28 +0200

    add Catalan

M	po/LINGUAS
A	po/ca.po

commit 7e1ffb4672eed63f1cba4759cd37d7435523afb6
Merge: 5e4e6a7 b322cce
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-07-20 13:29:53 +0800

    Merge branch 'obache-neatsrc'

commit b322cce4d1e3dd97a1648c1a20de570b88bb61a2
Author: OBATA Akio <obache@users.noreply.github.com>
Date:   2015-07-19 17:23:31 +0900

    Fix for Lua 5.2 API change (luaL_register is deprecated)

M	lua/lmyoslib.c
M	lua/lua-plugin-init.c

commit 5e4e6a748e981a6f58beaa526821bae87deb02fa
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-07-06 16:38:16 +0800

    update zh_CN.po

M	po/zh_CN.po

commit a9ea56c0eb63f2c9ece62fe3b3708cf82c98b48a
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-07-06 16:33:31 +0800

    update po files

M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 85d4ed3468461d561d03284cc845c528c1167a3a
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-06-18 15:22:21 +0800

    update clearPinyinUserData method

M	src/PYLibPinyin.cc

commit 69612371321a99da008f76d36900c00b057c0242
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-06-17 09:28:38 +0800

    update m_dictionaries

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit df6f428187ff0e69660a70e9fe9e70f04f003144
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-06-17 09:26:39 +0800

    use pinyin_load_addon_phrase_library function

M	src/PYLibPinyin.cc

commit e21aa4a6f06ac4c48788319ba130661277c2c2c0
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-06-17 09:24:49 +0800

    update setup dialog

M	setup/dicttreeview.py

commit 7fffe99bae099e88f0cc449890df67ce4b00c8b6
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-06-17 09:24:21 +0800

    bump version 1.7.2

M	configure.ac

commit 70046d49a86b96623219e25939b79f0d7b567b53
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-04-03 11:31:01 +0800

    fixes a typo

M	data/Makefile.am

commit 6f7105a552ebb05e84edd90478bbe63db8e4a5d9
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-30 15:04:56 +0800

    update data/Makefile.am

M	data/Makefile.am

commit 29f7dcf44fe7bc6b559c153aca372d2aded7d82a
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-30 14:56:58 +0800

    add libpinyin.appdata.xml

A	data/libpinyin.appdata.xml

commit 00d38b58116984d12602cfdccfcde55c2d440b25
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-25 11:37:26 +0800

    bump version 1.7.1

M	configure.ac

commit cc5b6765c3ce22fc7876a48c2ffc292cae6aceb0
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-09 13:21:40 +0800

    fixes default values

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit e64b6ec09ec934e506d566174ac6524c61336228
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-06 15:34:43 +0800

    fixes shortcut keys in setup dialog

M	setup/main2.py
M	setup/shortcuteditor.py

commit 8000186a322806b37d1a5557d023f745a21c55b7
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-04 11:14:24 +0800

    Update ChangeLog

M	ChangeLog

commit fc6682d1ea8accc2b190d634d15780657b26f01c
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-03-04 11:13:55 +0800

    bump version 1.7.0

M	configure.ac

commit 7735432908764b8ff0e5444279692ea8c2aaec55
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-02-28 13:38:05 +0800

    select the first item in shortcut editor

M	setup/shortcuteditor.py

commit 29157570ceaade11ed51fbc45a48e952ef1eae6e
Merge: a7c391b b4b9180
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-02-27 12:00:51 +0800

    Merge branch 'encukou-py3'

commit b4b9180050dea96c2f522f11d7a20d05fde1e698
Merge: a7c391b 5b2ca65
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-02-27 10:57:26 +0800

    Merge branch 'py3' of git://github.com/encukou/ibus-libpinyin into encukou-py3

commit a7c391bbd323d4fa6c7b87bca0c59fa2885aa143
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-02-06 16:09:31 +0800

    fixes configure.ac

M	configure.ac

commit c9ab489393ad2729786d4679bb3213613d240ba3
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-02-03 14:40:56 +0800

    use version 1.6.99

M	configure.ac

commit 5b2ca650b21d60a481e861ce998d2a0bbd2fb64d
Author: Petr Viktorin <pviktori@redhat.com>
Date:   2015-02-02 10:39:36 +0100

    Enable running setup scripts with Python 3
    
    The default uses 'python'.
    To use 'python3', ./configure --with-python=python3

M	configure.ac
M	setup/dicttreeview.py
M	setup/ibus-setup-libpinyin.in
M	setup/main2.py

commit 7aa61731fd317d6dfd1ccb21f599a49c04d53469
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-02-02 15:30:48 +0800

    update zh_CN.po

M	po/zh_CN.po

commit f54906d7b7da9a9ff5428ae36de38ded290caa6a
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-02-02 14:38:32 +0800

    update po

M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit b5544805d45955392d6eedda6eef7831f84085f3
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-01-30 08:58:16 +0800

    fixes setup dialog

M	setup/main2.py

commit 89c7ba0666772f5d92fecb2b433d500c2a0c51d0
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-01-27 15:59:36 +0800

    update main2.py

M	setup/main2.py

commit b3a40e01b7f60a26e61a0c728b489c0023a68ebe
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-01-27 15:34:10 +0800

    update setup dialog UI

M	setup/ibus-libpinyin-preferences.ui

commit 37ec389207a5a9764df6f668ae7a0ff265cd116a
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-01-27 15:09:04 +0800

    update class LibPinyinConfig to support export user phrases

M	src/PYPConfig.cc

commit 2445fbdb8f5f8300d3670249fbf6095a72c343b5
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-01-23 13:01:06 +0800

    write exportPinyinDictionary method

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 1bc034eaa38e56c9b9fc0151b9d56cfe3912af29
Author: Peng Wu <alexepico@gmail.com>
Date:   2015-01-16 13:32:40 +0800

    work around setup dialog for fedora 21

M	setup/main2.py

commit c3a39b80316afe1e870773d5550af66acb601ebf
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-30 13:37:28 +0800

    fixes a typo

M	src/PYSimpTradConverter.cc

commit b04d6793de65fa815737b5eb9a1db92a74bcf81f
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-25 13:10:57 +0800

    use opencc 1.0

M	configure.ac
M	src/PYSimpTradConverter.cc

commit 159039266a6b9530b9aad1362a8471aa80ea67fb
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-24 13:13:45 +0800

    fixes a small issue in rememberUserInput

M	src/PYLibPinyin.cc

commit 448c4cd67e317a62d953574d19175fc8ee811450
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-19 11:03:15 +0800

    fixes autoCommit option

M	src/PYPPinyinEditor.cc

commit a82e92a592a6b776fca5442fe4f70e18276e1c4a
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-18 15:34:10 +0800

    update main2.py

M	setup/main2.py

commit f97f6ef00b628a91b951ef8c20ec892555e8b781
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-18 15:24:49 +0800

    update setup ui

M	setup/ibus-libpinyin-preferences.ui

commit 52e0838d30e6ae539b3eb00ae01f6b25925db697
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-18 15:17:36 +0800

    fixes setup/Makefile.am

M	po/POTFILES.in
M	setup/Makefile.am

commit 84d1ce1d9ed8dd92c0434234a2964098133a7f88
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-18 13:39:44 +0800

    fixes processAccelKeyEvent method

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit de6b1f956fec426ba45f3ec371e5ce802070fd67
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-18 11:29:36 +0800

    write rememberUserInput method

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit b33cb8b01df86ed635b372f9c171996b0432fa2e
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-16 13:43:22 +0800

    refine code style

M	src/PYConfig.h
M	src/PYPConfig.cc

commit cb73f581e5e8d33a681caf89dfb4bf76a77db370
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-16 13:32:32 +0800

    add remember every input option to class Config

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit 5d2c9654c565d1eb59e9e752d54cee65c7c4f4f0
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-09 15:48:45 +0800

    update main2.py

M	setup/main2.py

commit fe59091e056383505cc4a509ffba57c968f9d4df
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-09 13:54:22 +0800

    update setup dialog

M	setup/ibus-libpinyin-preferences.ui

commit 3d24724aaacd1068339a0331b48dcf7d8473d3da
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-09 13:11:43 +0800

    remove the ctrl switch option

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit 7e0498f497d1bbafa52933b1ad3d0ce0c54eaab4
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-08 15:41:43 +0800

    refine code style

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 1f68a74635ab683263e275ba63b77f4007ba6634
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-08 14:45:50 +0800

    support four customized shortcut keys

M	src/PYFallbackEditor.cc
M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit 76d62fd53b46fe6935eec9c0eefe0617d5d7f0b7
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-08 13:34:28 +0800

    update base.lua for lua 5.2

M	lua/base.lua

commit 8cba9ed83fe4d02b76e224862ca85ce014592b80
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-08 11:21:29 +0800

    use luaL_requiref for lua 5.2

M	lua/lua-plugin-init.c

commit 3b2635f417d93f5e26d1ef8439441700d55d4d83
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-05 14:15:49 +0800

    write pinyin_accelerator_name function

M	configure.ac
M	src/Makefile.am
M	src/PYEngine.cc
M	src/PYEngine.h

commit 5d445470457a3bbf3684ef782410ce9cafac57e3
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-02 14:20:51 +0800

    add four new config keys

M	src/PYConfig.h
M	src/PYPConfig.cc

commit 43beca819b9e4ab2f71b6cde4e085525df088719
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-12-02 14:16:26 +0800

    update setup dialog

M	setup/shortcuteditor.py

commit 795027d140d75c11b1476de4d36b7226a98c6e74
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-11-28 16:43:38 +0800

    integrate with the setup dialog

M	setup/main2.py
M	setup/shortcuteditor.py

commit 489c90ec6ca084fc1223bb1f9181a215e3eb2495
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-11-28 13:58:59 +0800

    update setup dialog

M	setup/ibus-libpinyin-preferences.ui

commit 81a84ccbf568b74ed61aeaa8e4977ac89d1aeb8e
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-11-27 17:43:40 +0800

    import shortcuteditor.py

M	setup/keyboardshortcut.py
A	setup/shortcuteditor.py

commit 028425606c60348f25a4d9c9efca5ade89869b27
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-11-26 16:59:03 +0800

    import keyboardshortcut.py

A	setup/keyboardshortcut.py

commit 82b89ae4b01f353664a44e833829f1633ffdfdd2
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-11-05 10:53:58 +0800

    disable lookup table lazy candidate fill

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 1bbb6ca2a0240ab98510fe8a5f470d0a47b382af
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-09-19 17:25:57 +0800

    fixes lua script loads

M	src/PYExtEditor.cc

commit 471752e4519fa4f5785cfb454f1c24f747717d89
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-08-19 14:29:57 +0800

    use pinyin_get_pinyin_key_rest_offset function

M	src/PYPPhoneticEditor.cc

commit f53b1287772ff4d7589f4c4b3847c7a74ee293ef
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-07-15 13:19:52 +0800

    fixes memory leak

M	src/PYLibPinyin.cc

commit d44a0cbedb562c2e1926c765cdd4735be68db9b6
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-07-15 11:14:05 +0800

    use macro USER_DICTIONARY

M	src/PYLibPinyin.cc

commit 10969d4f8abf0559c2748d3f1a518c9e487f0e86
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-06-13 15:55:25 +0800

    fixes a typo

M	src/PYMain.cc

commit 7a98868d07581655b7a11c84005ec9cef7d50539
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-05-21 09:46:16 +0800

    remove LibPinyin* class prefix

M	src/PYEngine.cc
M	src/PYLibPinyin.cc
M	src/PYMain.cc
M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPConfig.cc
M	src/PYPConfig.h
M	src/PYPDoublePinyinEditor.cc
M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit 7813d0b1711f08b0164242499c6ac02d30fab966
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-29 12:30:15 +0800

    improves m_bopomofo_keyboard_mapping read

M	src/PYConfig.h
M	src/PYLibPinyin.cc
M	src/PYPConfig.cc

commit ad0e422ceaafe4fcddfc579d2061d93a6e711ab0
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-29 11:02:20 +0800

    improves m_double_pinyin_schema read

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYLibPinyin.cc
M	src/PYPConfig.cc

commit f3b0fa4f04a06036c5cc177969a58c73e8e7c5b5
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-28 15:19:22 +0800

    fixes a typo

M	src/PYPFullPinyinEditor.cc

commit a8e650a6ef1392c23f7d6f8f141fc7638fd1f9fa
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-24 14:56:53 +0800

    bump version 1.7.0

M	configure.ac

commit e44396eab964540aeb26cf8428aa5d02609df520
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-24 14:45:52 +0800

    update version number

M	configure.ac

commit 904ffe389825f1b9eae0765586560b7afb7efa35
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-23 16:29:04 +0800

    re-factor code

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit f31155bf3ebadac7c4124009e8b571c1778f3692
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-23 16:27:22 +0800

    format code

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 8d553e0c189d65a935fd5169f06b3a2e0380b013
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-22 15:23:26 +0800

    fixes a typo

M	src/PYPBopomofoEditor.h

commit 4c898f1bade4dff01c37b5d196f4ec2e2c014ecd
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-22 11:07:12 +0800

    fixes compile

M	src/PYConfig.h

commit 9491bb452e240592ca91b0ef783837e4967e2a59
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-21 14:11:35 +0800

    fixes a typo

M	src/PYPPhoneticEditor.cc

commit 9fea44f3726e1cc606bc09c23c4fb9a0ffd0cbfb
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-04-10 15:25:42 +0800

    use type pinyin_option_t

M	src/PYConfig.h
M	src/PYPConfig.cc

commit e0862317264a4c117caee7e7151b7e4d9e9bcc65
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-03-24 14:15:13 +0800

    fixes a typo

M	src/PYPPhoneticEditor.h

commit 4982c9f9095d53c0c7537b6b852ee41ae8fe0e71
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-02-17 16:45:14 +0800

    move logics to class PYEngine

M	src/PYEngine.cc
M	src/PYEngine.h
M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit a8dbbd654f6eb34df4176cb873399b4c02b536ee
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-01-26 15:05:05 +0800

    rename Intelligent Bopomofo to Bopomofo

M	src/PYMain.cc
M	src/libpinyin.xml.in.in

commit aba1516229c018439459e0e20995e91c3aa6ea53
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-01-26 14:58:27 +0800

    drop uuid deps

M	configure.ac
M	src/Makefile.am
M	src/PYUtil.h

commit 432bf196a90313273490b683bfae8f128cf52018
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-01-26 13:29:11 +0800

    update main2.py

M	setup/main2.py

commit 225a070bc7fd90d749f06a2e3156f2e9cf6b88e2
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-01-16 13:21:16 +0800

    re-factor setup dialog

M	setup/Makefile.am
M	setup/config.py.in
M	setup/ibus-setup-libpinyin.in
M	setup/main2.py

commit 56a35844deb56eb2705de79494834253f60c95f6
Author: Peng Wu <alexepico@gmail.com>
Date:   2014-01-03 12:32:20 +0800

    remove PYRegex.h

M	src/Makefile.am
D	src/PYRegex.h

commit e6ea82938c6f06d03109da94da6f313c399737e6
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-12-12 12:38:21 +0800

    drop IBUS_BUILD_LIBPINYIN macro

M	configure.ac
M	src/Makefile.am
M	src/PYEngine.cc
M	src/PYMain.cc
M	src/PYPConfig.cc

commit 5e6708be79ff90cf483bfc66e30437d5019404a0
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-11-11 15:38:35 +0800

    fixes pinyin properties

M	src/PYPinyinProperties.cc

commit 737fdaa6a118729e20378245dbb8af0c142fa187
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-10-23 16:42:41 +0800

    bump version 1.6.92

M	configure.ac

commit e1ecc3bf821c88d9edab471e70b556e029072c32
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-10-23 16:35:41 +0800

    update ibus requires

M	configure.ac

commit 69f50424ba5be49c4b31543df7bd7970361d4753
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-10-10 15:48:29 +0800

    support setContentType method

M	src/PYEngine.cc
M	src/PYEngine.h
M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit cf8ab7d8e76ed70c182c7588cfe1ebbce8e5174b
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-10-08 10:45:35 +0800

    remove pyxdg depends

M	setup/main2.py

commit c42d0a870697e95301deabe0bcb770a68649c81d
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-07-31 10:53:14 +0800

    fixes lua 5.2 compile

M	lua/lua-plugin-init.c
M	lua/lua-plugin.c

commit 9ef836117508d9c0c938f57a5ffa5ffca7eb2e7b
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-07-26 13:03:44 +0800

    Update the symbol of the ibus indicator

M	src/PYPinyinProperties.cc
M	src/PYProperty.h

commit 7f0ae3f5d0bbaf1b5fe2ab8b0a22892a2d9a1167
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-04-24 15:45:32 +0800

    update libpinyin requires

M	configure.ac

commit 9ab87c1a3a7f46c5b3d7f347d5654b29dc4789e8
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-04-24 13:49:46 +0800

    re-factor base.lua

M	lua/base.lua

commit 925f881e940d4573926f7ce224a5b81c4b35ffa3
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-04-21 12:27:43 +0800

    fixes dictionaries option

M	setup/main2.py
M	src/PYConfig.cc
M	src/PYPConfig.cc

commit 5a6804db067ec7eeaface324f2bff3067399eb1f
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-04-21 12:24:36 +0800

    Revert "change config key name"
    
    This reverts commit ee79a7dcfbf7a9d32802e5555eceeaf7db485bff.

M	setup/main2.py
M	src/PYPConfig.cc

commit 78bb55af56ff09fe61573cb3b778f0a4e8326c73
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-22 15:03:19 +0800

    fixes compile

M	src/PYLibPinyin.cc
M	src/PYPBopomofoEditor.cc
M	src/PYPConfig.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPhoneticEditor.cc

commit d375107f4c4118ecc4f74cb11e5372a42e8554b5
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-22 14:29:19 +0800

    update double pinyin editor

M	src/PYPDoublePinyinEditor.cc

commit 9e7d2f34f4f21db9914b63bd837a7c7371148238
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-22 14:21:57 +0800

    update full pinyin editor

M	src/PYPBopomofoEditor.cc
M	src/PYPFullPinyinEditor.cc

commit 2f153759c57835aa30908ae0d43dda1f942bdfac
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-22 14:09:53 +0800

    update pinyin editor

M	src/PYPPinyinEditor.cc

commit 88176ebec678099baa5b768e862ea2b41fdfc5ba
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-22 14:03:00 +0800

    update bopomofo editor

M	src/PYPBopomofoEditor.cc

commit 4d0be214c08f8f7a9dc8c5a4262b3b2bc8d0d04f
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-22 13:54:48 +0800

    update phonetic editor

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit acf1ab4a9370c36232d839193fc57be03ea6fd1a
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-20 14:38:06 +0800

    bump version 1.6.91

M	configure.ac

commit 20a82553205a1510a8aca475f99181a7c26d5233
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-15 15:16:05 +0800

    fixes setup dialog

M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	setup/ibus-libpinyin-preferences.ui

commit ee79a7dcfbf7a9d32802e5555eceeaf7db485bff
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-15 09:38:25 +0800

    change config key name

M	setup/main2.py
M	src/PYPConfig.cc

commit 331f4f497389679fa076cccf603c82b697b993d1
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-14 14:23:39 +0800

    add using namespace pinyin

M	src/PYLibPinyin.cc
M	src/PYPConfig.cc

commit b1739851231248dba52d01b9bfb5d58318958b5f
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-11 13:23:12 +0800

    bump version 1.5.92

M	configure.ac

commit 4c38e5cf9b9d48203f0d57432e8076c08653b134
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-11 10:49:17 +0800

    remove special phrases

M	po/POTFILES.in
D	src/PYDynamicSpecialPhrase.cc
D	src/PYDynamicSpecialPhrase.h
D	src/PYSpecialPhrase.cc
D	src/PYSpecialPhrase.h
D	src/PYSpecialPhraseTable.cc
D	src/PYSpecialPhraseTable.h

commit 6a448d5b60e5c9f7240d4149c3a81a0df439d275
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-11 10:44:21 +0800

    re-factor ExtEditor

M	src/Makefile.am
M	src/PYExtEditor.cc

commit ab4961ecf5ea99b08454c011295687153d75cc04
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-05 11:01:14 +0800

    update base.lua

M	lua/base.lua

commit a7b0bfdb1f0c194c2a47d498c1dd09709d2a893b
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-03-01 17:04:33 +0800

    fixes download url

M	ibus-libpinyin.spec.in

commit f08f381646c6d8af4bbc084eac764f46fa476f8e
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-28 14:51:24 +0800

    fixes getLookupCursor
    
    Fixed:
    When some wrong pinyin input entered, the lookup candidates disappeared.

M	src/PYPPhoneticEditor.cc

commit 68e7eea7b622633b14dd9b129e69eec4d2b28869
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-27 10:50:47 +0800

    update main2.py

M	setup/main2.py

commit 294deae4df18f98f5ae9646e57ead1783b59d727
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-26 11:43:51 +0800

    update zh_CN.po

M	po/zh_CN.po

commit b6df84c7f4cf2fca1fe6549394e4014d41d42cfb
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-26 11:25:35 +0800

    update po

M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 93f1187b708a5c1c4ae1cdea70caf0e3930dd6d4
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-20 16:04:07 +0800

    update zh_CN.po

M	po/zh_CN.po

commit 23cbd1bb810e6fe00230ead06163156caf9bb9e8
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-20 16:03:56 +0800

    polish UI

M	setup/ibus-libpinyin-preferences.ui

commit b52f16d606cf8245b3278bfd81605d78d8186820
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-20 12:10:23 +0800

    fixes gettext

M	setup/dicttreeview.py
M	setup/main2.py

commit e88fd94817b3b1bbd8b2498dcb402e5b828497bd
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-20 11:22:22 +0800

    fixes typo

M	setup/dicttreeview.py
M	src/PYLibPinyin.cc

commit 9e2bb399070a472741e1f61878d743c6a8699e07
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-20 11:18:43 +0800

    update zh_CN.po

M	po/zh_CN.po

commit 2253829331e021bb5237d0bcbffce973132aaa5f
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-20 11:08:35 +0800

    update po

M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit b30d259c0cd2c4f844048fa315b453d3b03af6bd
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-20 10:54:32 +0800

    update dictionaries

M	setup/dicttreeview.py
M	setup/main2.py
M	src/PYConfig.cc
M	src/PYLibPinyin.cc
M	src/PYPConfig.cc

commit 4dc12953941dcc034bcbe680d529d24b88f79ddd
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-18 17:55:29 +0800

    polish UI

M	setup/ibus-libpinyin-preferences.ui

commit 9376f6734fc10a1bd3e9dc2f90c06ec0a11a846a
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-18 15:48:19 +0800

    fixes setup/config.py

M	configure.ac
M	setup/Makefile.am
M	setup/config.py.in

commit 9f63583210bb383ab97c803fd57ede8c6d866bf0
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-17 13:39:57 +0800

    add edit user lua to main2.py

M	setup/main2.py

commit 7ada59965b475434c5a5e6f62d13cabfde278fc8
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-17 13:24:28 +0800

    add user data to main2.py

M	setup/main2.py

commit 2c176006b90fb6d6593a39a778ed7e1a98eabbe4
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-17 12:08:47 +0800

    add user data page to setup dialog

M	setup/ibus-libpinyin-preferences.ui

commit 0763b3456c64f52c710636af63de5bdc6a836753
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-17 09:37:17 +0800

    fixes code style

M	src/PYLibPinyin.cc

commit 47f65d95f3e003f415a47b586bd35cb3662c6f73
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-16 11:39:54 +0800

    load user phrase library

M	src/PYLibPinyin.cc

commit 42206b463d1f14a68763b38f2b4835a5638fa845
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-08 11:17:27 +0800

    fixes a typo

M	src/PYLibPinyin.cc
M	src/PYPConfig.cc

commit 79529dea8225187a0ab1c0d4c87ad558760322d5
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-08 11:04:28 +0800

    write importPinyinDictionary

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYPConfig.cc

commit 42fdd95eeea6e72f65fe74e356b6ab96bc95666c
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-08 10:29:05 +0800

    write clearPinyinUserData

M	src/PYConfig.cc
M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYPConfig.cc

commit 00b1261817b55f04531bcac76191b27f796ab1ea
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-08 09:27:29 +0800

    add user.lua

M	lua/Makefile.am
A	lua/user.lua
M	src/PYExtEditor.cc
M	src/PYLibPinyin.cc

commit 522546c64bfaff53450b4d161c6acf4b8cd8a2be
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-07 14:03:55 +0800

    fixes bug

M	setup/config.py.in
M	setup/main2.py

commit 4b26bca531a13aec957d0568f7d1696ce6a04d52
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-07 11:44:41 +0800

    update autoconf

M	configure.ac
M	setup/Makefile.am
M	setup/config.py.in

commit 10375d1dc8c3943d7520129e14be05873e920f7d
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-02-07 10:54:47 +0800

    rename version.py to config.py

M	configure.ac
M	setup/Makefile.am
R100	setup/version.py.in	setup/config.py.in

commit f9cdfed43599195c3cf6f08d6592bfea68a4e8d2
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-01-31 12:58:53 +0800

    re-write base.lua

M	lua/base.lua

commit 986dde375354d440cba768f560616d3560aa3e58
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-01-21 10:58:03 +0800

    update libpinyin requires

M	configure.ac

commit 2590ca94ac12bb7f77a037805e0b31efae725e38
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-01-14 12:25:41 +0800

    add setup tag to libpinyin.xml.in.in

M	src/libpinyin.xml.in.in

commit af9f69bc861f1e5c3c86fc725ba4e60d412af4f9
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-01-04 12:10:21 +0800

    translate zh_CN.po

M	po/zh_CN.po

commit 8d41b065cc41a4c9be553243d91608db5358efb2
Author: Peng Wu <alexepico@gmail.com>
Date:   2013-01-04 12:08:09 +0800

    update po

M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 0a5381930f89bd3985adc12a98eff0968669d9ad
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 17:17:30 +0800

    update zh_CN.po

M	po/zh_CN.po

commit aaefef05e73e277ce671efa9650a1bc28778c0f3
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 16:27:39 +0800

    fixes a typo

M	setup/ibus-libpinyin-preferences.ui

commit e763afd31774a5654329f54426c699fb52d9a6eb
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 11:47:43 +0800

    fixes a bug

M	src/PYPConfig.cc

commit 8b08105163e9b3a59e808ea2fa8a4607648f9ae6
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 11:39:37 +0800

    update python code

M	setup/main2.py

commit 2ef7bc5542c068cde5e41693d4ed1ebb449b6581
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 11:19:58 +0800

    update setup ui

M	setup/ibus-libpinyin-preferences.ui

commit 8868b88483de6f92b8c7f35604540f30c2dd6816
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 11:02:52 +0800

    add ctrl switch to bopomofo engine

M	src/PYPBopomofoEngine.cc

commit 96ab2c13f03aee400def935e4ff0e9c68fe17b07
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 10:54:52 +0800

    add ctrl switch to pinyin engine

M	src/PYPPinyinEngine.cc

commit 477e9add7c6a009cc7a03077eddace878832b172
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-31 10:43:58 +0800

    add ctrl switch to config

M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYPConfig.cc

commit ac92c9c2ebe039af25391e4f115cc690ddd28eea
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-18 17:03:46 +0800

    update zh_CN.po

M	po/zh_CN.po

commit 1fd93e0c66736ff961220cf0dfcc84ba583132ac
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-18 16:35:15 +0800

    update po

M	po/fr.po
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 4a1bfc62e076a2b8c1026fd91d8bfcd3c35e36f0
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-18 11:17:57 +0800

    fixes autogen.sh

M	autogen.sh

commit e1f9e271092e07381afc2abe3f767f10435765e2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-17 16:03:31 +0800

    fixes letter labels

M	src/PYPinyinProperties.cc

commit 382c9a706be19c3b4466afba8b964d50ece5c254
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-17 13:33:31 +0800

    improves property labels

M	src/PYPinyinProperties.cc
M	src/PYProperty.h

commit 6d70508e192367a1007dc6f10aed8ca3d3a25da9
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-05 12:24:17 +0800

    bump version 1.5.91

M	configure.ac

commit 241bac9ba834573c25db72c44bff9d118a4ffe9f
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-05 12:03:21 +0800

    fixes get_pinyin_string

M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPinyinEditor.cc

commit 938f2649b75efb3f0b72f3af7567ad8198d17147
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-12-05 12:00:51 +0800

    fixes get_chewing_string

M	src/PYPBopomofoEditor.cc

commit 9adfcbc7784845e324b84fb51bbfcc2c502e5b20
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-11-26 17:35:51 +0800

    fixes symbol icon again

M	src/libpinyin.xml.in.in

commit 409a626442945e4a4a10b9c31e2fc62fb5d248a0
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-11-26 16:58:37 +0800

    fixes symbol icons

M	src/libpinyin.xml.in.in

commit 1b6227451d5f7bdc5e8362eb4a77e941dbd83ef5
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-10-15 10:25:42 +0800

    bump version 1.4.93

M	configure.ac

commit bd326aaa08a7af7917364e4acc63a6430e24b955
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-10-09 11:35:24 +0800

    fixes bopomofo icon

M	src/libpinyin.xml.in.in

commit cbef61619838758394a80a23fef064c73453fe4a
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-10-08 13:46:05 +0800

    detect libpinyin datadir

M	configure.ac
M	src/Makefile.am
M	src/PYLibPinyin.cc

commit 05a4b696ecf2267e766f918c123756ff98e45df3
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-09-17 13:16:32 +0800

    bump version 1.4.92

M	configure.ac

commit c9a90d9d324fd288a193d21ada62a06371a7ea01
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-09-17 12:00:02 +0800

    fixes ';' in double pinyin

M	src/PYPDoublePinyinEditor.cc

commit f8ec408bf992813ae1a20969e61a70bcaafa36a3
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-09-17 10:49:56 +0800

    add symbol to libpinyin.xml.in.in

M	src/libpinyin.xml.in.in

commit f6e4cd727a3fb4b12eaf6c020bccc977eafdfaf2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-16 12:21:22 +0800

    add libpinyin depends

M	configure.ac

commit 38141a7f7b5e0a356bd8f9eb645c37320de75c1d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-13 13:32:14 +0800

    fixes automake

M	po/POTFILES.in
M	setup/Makefile.am

commit 12416774ba7dcd09d878bfd3aed493f2020c033e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-13 11:00:47 +0800

    bump version 1.4.91

M	configure.ac

commit 96208d94b8fad1c51aac0984b18973fdb2d61231
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-10 13:39:51 +0800

    fixes PYPConfig.cc

M	src/PYPConfig.cc

commit b851547fe10ab112dbfbc303dd893f9f23d01d97
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-10 13:08:25 +0800

    update setup code

M	setup/dicttreeview.py
M	setup/main2.py

commit bd3dd5c576f10a43bf2aa42c7ebbce94eeb64c4c
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-10 13:06:46 +0800

    update setup ui

M	setup/ibus-libpinyin-preferences.ui

commit 7b8ce834ecdcc68ad04362dc7dd1e6462772e907
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-09 15:44:56 +0800

    add dicttreeview.py

A	setup/dicttreeview.py

commit f3c0b69355f68f2bcd00f48211489c17d912f85d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-09 13:07:36 +0800

    add m_dictionaries

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit 451b86fca949ee74cfec8e3494a096ea6fa7519a
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-09 11:29:29 +0800

    fixes processEnter

M	src/PYEnglishEditor.cc
M	src/PYStrokeEditor.cc

commit c0b417a3a10b853cb030e1e8fd1c0c138f2ab801
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-08 16:52:03 +0800

    add dictionaries option

M	src/PYConfig.h
M	src/PYLibPinyin.cc

commit 2249b3cbdb13c3465b03b55e74eeea85f8612dcc
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-08 16:26:17 +0800

    update PYLibPinyin.*

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 4a830d6660e877fd879e9b4ae55c4fda9a2087aa
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-08 16:16:59 +0800

    add init context

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 9735999a0e80463c4489aad21770731ebd54a368
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-08 15:36:30 +0800

    polish setup ui

M	setup/ibus-libpinyin-preferences.ui

commit 1699997011a77354b7698fd9da2e8ee992785aff
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-08 14:34:50 +0800

    add dynamic adjust option

M	setup/main2.py
M	src/PYConfig.cc
M	src/PYLibPinyin.cc
M	src/PYPConfig.cc

commit 068cd92477704ac43454e723a1c34e438280a592
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-08 14:36:57 +0800

    clean up PYConfig.cc

M	src/PYConfig.cc

commit 756f0d4107067160029bf96d758fb2956f4b1c34
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-08 14:02:53 +0800

    update setup ui

M	setup/ibus-libpinyin-preferences.ui

commit 9e993c55add75e2702486b9e46faa2ba5847d95d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-06 11:00:57 +0800

    bump version 1.4.2

M	configure.ac

commit ba61017002ab815aa398adb5d24b0626e22ff64e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-06 10:23:09 +0800

    fixes PYPConfig.cc

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit 3300a9085afbb30ea8ee00642b0e6c6c6fa8a164
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-06 09:34:42 +0800

    clean up PYTypes.h

M	src/PYConfig.cc
M	src/PYTypes.h

commit cae24c0a0508024dad2092552740a635a5ec8ac2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-03 18:27:49 +0800

    clean PYTypes.h

M	src/PYTypes.h

commit 29a835c2c155397ae53759647809d0579f80b7f1
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-03 15:28:42 +0800

    use DYNAMIC_ADJUST

M	src/PYLibPinyin.cc

commit 64056479636f9d28d2f56036ebd86e6448401d11
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-03 11:20:13 +0800

    fixes processFunctionKey

M	src/PYPPhoneticEditor.cc

commit b30095a04e11dca7d377d6938f27d1a04a56e128
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-03 11:11:27 +0800

    fixes getCursorLeftByWord

M	src/PYPPhoneticEditor.cc

commit b4e468ed1cf74b3050a04d5cdf8422acc8118b23
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-02 16:07:23 +0800

    fixes make distcheck

M	data/Makefile.am
M	po/POTFILES.in
M	po/POTFILES.skip

commit fc5600bf52ddf7bc272544f7a96ea3b44717ed3c
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-02 14:51:58 +0800

    add desktop files

M	data/Makefile.am
A	data/ibus-setup-libbopomofo.desktop.in.in
A	data/ibus-setup-libpinyin.desktop.in.in

commit 07ae7e85a27089238363c23c83e89b7c6f5393b6
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-08-02 11:24:39 +0800

    polish aux text

M	src/PYEnglishEditor.cc
M	src/PYEnglishEditor.h
M	src/PYStrokeEditor.cc
M	src/PYStrokeEditor.h

commit 88e6f403b0ed6a4eb33737c642d12b6fd462531b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-26 12:50:06 +0800

    enable stroke editor

M	src/Makefile.am
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit 82f7ed8fe4f108fc5408708fa3dad6b29fc15448
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-26 12:29:42 +0800

    write stroke editor

M	src/PYEnglishEditor.cc
M	src/PYStrokeEditor.cc

commit e11dd04794b63a956cc388e9a6494b29ad026545
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-24 15:31:27 +0800

    begin to write stroke editor

M	src/PYEnglishEditor.cc
M	src/PYStrokeEditor.cc

commit 513c1bef69ad0813f31bf9b8cf0287bb266035ef
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-23 13:18:55 +0800

    update autoconf for stroke editor

M	configure.ac
M	src/Makefile.am
M	src/PYStrokeEditor.cc

commit e4ddf0f70d56628e7a1cbfba521a0120c6447c4c
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-23 13:08:43 +0800

    polish code

M	src/PYEnglishEditor.h

commit 5f944897168d6e4c25579752a459900480c27d6d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-23 13:08:27 +0800

    add PYStrokeEditor.h

A	src/PYStrokeEditor.h

commit 95cdd2bc87d74a4c908e2f91f1907ab353f77c59
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-23 11:31:39 +0800

    update Makefile.am

M	data/Makefile.am

commit ed5fb85f0ac78119761e92c2d038961e17b637d8
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-20 15:43:59 +0800

    refine english editor

M	src/PYEnglishEditor.cc

commit a1d11baae9a76eb690ca87e7e4a28e9d8295d99b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-20 15:42:36 +0800

    write stroke database

A	src/PYStrokeEditor.cc

commit 33073d91c1de88d161ba2251647f516dde21bd34
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-20 10:08:49 +0800

    add strokes

A	data/strokes

commit 007a7871e4b6c0e7beb90ceba1abdd439eb2329b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-18 17:24:55 +0800

    write strokes.awk

M	data/english.awk
A	data/strokes.awk

commit 47e41081fcc385894c8aa2694fdad41db65db42e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-16 14:02:02 +0800

    update lua test case

M	lua/test.lua

commit 3a689ab38ca4d73b54df2475592a1839102c5344
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-16 13:51:36 +0800

    write register_converter

M	lua/lua-plugin-init.c

commit dcdf9813c13856403142da5044ff6b51e2e2737d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-16 13:43:13 +0800

    write int_to_hex_string

M	lua/lua-plugin-init.c

commit 6a422d70a223a059393432ff45f7c1c3b1b44ae0
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-16 13:24:15 +0800

    write utf8/utf16 conversion

M	lua/lua-plugin-init.c

commit 9634aef4f33bca66f1634f305860131c22c722ac
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-10 14:00:14 +0800

    fixes selectCandidate for full pinyin

M	src/PYPPhoneticEditor.cc

commit 2d8a65fdcefe0a8809740adb86f3d45d8c454793
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-09 15:50:04 +0800

    fixes updatePinyin

M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPhoneticEditor.cc

commit a727155dc7dfeac0ac52e89c101003b9b2481a86
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-09 13:29:18 +0800

    use divided table for full pinyin

M	src/PYLibPinyin.cc

commit 87c19323a056947e42b573e92dfd4e29e320d99b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-09 13:20:15 +0800

    improves full pinyin mode

M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h

commit 155103f5528d450c05c8639c64c8fef2cb9e52bd
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-09 13:11:45 +0800

    fixes selectCandidate

M	src/PYPPhoneticEditor.cc

commit a742f0e61a9cc81ee14f5d66070bede4a737fa18
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-04 15:19:05 +0800

    uses pinyin_load_phrase_library

M	src/PYLibPinyin.cc

commit e16682240d6df8777a7b6605811258b5ec71cec1
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-04 13:19:47 +0800

    fixes fillLookupTableByPage

M	src/PYPPhoneticEditor.cc

commit 26b0d48bdb4fdefea795862c9a58acdb9cfb1b96
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-04 10:44:04 +0800

    fixes fillLookupTableByPage

M	src/PYPPhoneticEditor.cc

commit 0cb429b5bfa96f19705bf8ada56efdd2a0876a33
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-04 10:35:38 +0800

    fixes reset

M	src/PYPPhoneticEditor.cc

commit 3f74c3c61b3ea4b0fe13dfe3555477fc68c5d673
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-04 10:23:56 +0800

    fixes fillLookupTableByPage

M	src/PYPPhoneticEditor.cc

commit 268b6cb3d7be7ccbf1a38afcfc2220fab00077d7
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-04 10:13:09 +0800

    fixes getPinyinCursor

M	src/PYPPhoneticEditor.cc

commit c4476db5b591139c3c9c0f388be87459d550ec81
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-03 16:28:17 +0800

    bump version 1.4.1

M	configure.ac

commit c28adc1cd6758b61d8f2a07eff9d8d9c9ea9f2a4
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-07-03 11:31:10 +0800

    update to use libpinyin 0.7.x

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit ae458c78989739e3b97fc1bfe6a1e0191d6d8607
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-13 11:00:58 +0800

    update ibus-libpinyin.spec.in

M	ibus-libpinyin.spec.in

commit 6605d6974c2f7de659b5374d3bf45af4cdeaf36d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-12 14:05:43 +0800

    update fsf address

M	Makefile.am
M	configure.ac
M	data/Makefile.am
M	data/db/android/Makefile.am
M	lua/Makefile.am
M	m4/Makefile.am
M	setup/Makefile.am
M	setup/ibus-setup-libpinyin.in
M	setup/main2.py
M	setup/version.py.in
M	src/Makefile.am

commit 171bce8e19fb2035108a12dc5b8be1e57dc710dc
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-12 14:02:30 +0800

    update fsf address

M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h
M	lua/test-lua-plugin.c
M	src/PYBus.h
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYDynamicSpecialPhrase.cc
M	src/PYDynamicSpecialPhrase.h
M	src/PYEditor.cc
M	src/PYEditor.h
M	src/PYEngine.cc
M	src/PYEngine.h
M	src/PYEnglishEditor.cc
M	src/PYEnglishEditor.h
M	src/PYExtEditor.cc
M	src/PYExtEditor.h
M	src/PYFallbackEditor.cc
M	src/PYFallbackEditor.h
M	src/PYHalfFullConverter.cc
M	src/PYHalfFullConverter.h
M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYLookupTable.h
M	src/PYMain.cc
M	src/PYObject.h
M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPConfig.cc
M	src/PYPConfig.h
M	src/PYPDoublePinyinEditor.cc
M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h
M	src/PYPinyinProperties.cc
M	src/PYPinyinProperties.h
M	src/PYPointer.h
M	src/PYProperty.h
M	src/PYPunctEditor.cc
M	src/PYPunctEditor.h
M	src/PYRawEditor.h
M	src/PYRegex.h
M	src/PYSignal.h
M	src/PYSimpTradConverter.cc
M	src/PYSimpTradConverter.h
M	src/PYSpecialPhrase.cc
M	src/PYSpecialPhrase.h
M	src/PYSpecialPhraseTable.cc
M	src/PYSpecialPhraseTable.h
M	src/PYString.h
M	src/PYText.h
M	src/PYTypes.h
M	src/PYUtil.h

commit 729a9fc188632ee58122de88e64d72550578057b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-11 12:59:08 +0800

    update main2.py

M	setup/main2.py

commit acace0e530b29b2f07b492a88fed118ebafd5c7e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-08 11:27:12 +0800

    update spec.in

M	ibus-libpinyin.spec.in

commit 78b8e5284f4770a4ee23a4347c29f3f31df16ce9
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-07 17:57:39 +0800

    update spec.in

M	ibus-libpinyin.spec.in

commit 1e93f257c2b68ecc25e0dcf38918a1fbd928b753
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-07 17:43:31 +0800

    clean up files

D	codereview.settings

commit 2e391876b1916294d176ba21e8921d5f027547ee
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-07 11:54:45 +0800

    remove debian

D	debian/changelog.in
D	debian/compat
D	debian/control
D	debian/copyright
D	debian/docs
D	debian/ibus-pinyin.lintian-overrides
D	debian/rules
D	debian/source/format
D	debian/watch

commit d6a87b8924d8831de6bae4b0496514e8be2ea20e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 14:19:38 +0800

    update README

M	README

commit 652087dca8a13b108a7d1062c422454414750b12
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 14:17:32 +0800

    update PYMain.cc

M	src/PYMain.cc

commit c321d2159117fcad1913d1610097e32d2880a69a
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 14:02:27 +0800

    update configure.ac

M	configure.ac

commit ffca46c0df2a6795b16a4798f0cece3c0058370c
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 13:51:17 +0800

    update scripts

M	setup/main2.py
M	setup/version.py.in

commit ec434b4976ec46df7220443e9fed0e09e27f501e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 13:49:41 +0800

    update lua

M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c

commit 4de6472ff2009b4bceb73258d29ced2a0ca9cb52
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 13:48:00 +0800

    update Makefile.am

M	Makefile.am
M	data/Makefile.am
M	data/db/android/Makefile.am
M	data/icons/Makefile.am
M	lua/Makefile.am
M	m4/Makefile.am
M	setup/Makefile.am
M	src/Makefile.am

commit 68f5fd1e62b513dd1aeec7c3fae7e18b8ebaec09
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 13:45:47 +0800

    update lua

M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h
M	lua/test-lua-plugin.c

commit 1c9a7295dcc1da382bf83a516f39a0e36ccfc4c8
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 13:45:12 +0800

    update src

M	src/PYBus.h
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYDynamicSpecialPhrase.cc
M	src/PYDynamicSpecialPhrase.h
M	src/PYEditor.cc
M	src/PYEditor.h
M	src/PYEngine.cc
M	src/PYEngine.h
M	src/PYEnglishEditor.cc
M	src/PYEnglishEditor.h
M	src/PYExtEditor.cc
M	src/PYExtEditor.h
M	src/PYFallbackEditor.cc
M	src/PYFallbackEditor.h
M	src/PYHalfFullConverter.cc
M	src/PYHalfFullConverter.h
M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYLookupTable.h
M	src/PYMain.cc
M	src/PYObject.h
M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPBopomofoEngine.cc
M	src/PYPBopomofoEngine.h
M	src/PYPConfig.cc
M	src/PYPConfig.h
M	src/PYPDoublePinyinEditor.cc
M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h
M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h
M	src/PYPinyinProperties.cc
M	src/PYPinyinProperties.h
M	src/PYPointer.h
M	src/PYProperty.h
M	src/PYPunctEditor.cc
M	src/PYPunctEditor.h
M	src/PYRawEditor.h
M	src/PYRegex.h
M	src/PYSignal.h
M	src/PYSimpTradConverter.cc
M	src/PYSimpTradConverter.h
M	src/PYSpecialPhrase.cc
M	src/PYSpecialPhrase.h
M	src/PYSpecialPhraseTable.cc
M	src/PYSpecialPhraseTable.h
M	src/PYString.h
M	src/PYText.h
M	src/PYTypes.h
M	src/PYUtil.h

commit 550c0d82cdff8b53b934c0a0c78f58244de96553
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 13:35:31 +0800

    update fr.po

M	po/fr.po

commit e6cadcf945641a3c940174b9f07791b0a4011442
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2012-03-22 10:45:45 -0400

    Add French translation from Jiehong Ma
    
    BUG=None
    TEST=Make
    
    Review URL: https://codereview.appspot.com/5865049

M	AUTHORS
M	po/LINGUAS
A	po/fr.po

commit e72e8bed3624942615fa478b071f211c96af3186
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 11:07:31 +0800

    clean db

D	src/main.db

commit 82cc031c6537d55c84722ad420e431dc71eefecd
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 11:02:54 +0800

    clean android db

D	data/db/Makefile.am
D	data/db/android/id.py
D	data/db/android/pydict.py
D	data/db/create_index.sql

commit 149eb1967a2b7da86e934c79fa6d62cb673bf885
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 11:00:07 +0800

    clean scripts

D	scripts/id.py
D	scripts/pydict.py
D	scripts/pyutil.py

commit 949bfb012c97a71435e627ed48b4f2205a6a7d39
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 10:38:08 +0800

    clean scripts

D	scripts/bopomofo.py
D	scripts/double.py
D	scripts/genbopomofokeyboard.py
D	scripts/genpytable.py

commit 4d8398255acc7556bb45c34cd2cb77dbe6d2ae3e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 10:32:53 +0800

    remove scripts

D	scripts/addheader.py
D	scripts/header

commit 928a7cce363dee8b42452bc0cf99c6070c6d4626
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-06 10:29:27 +0800

    clean up scripts

D	data/db/android/create_db.py
D	scripts/Makefile
D	scripts/create_db.py
D	scripts/create_index.py
D	scripts/create_unique_index.py

commit eb35544148080f975b82ba279653cf9e4e7c589a
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-04 09:21:36 +0800

    update *.po

M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 5226ce8b3e72f2ed3727e10ac21477ebdba1a0c1
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-04 09:19:00 +0800

    update main2.py

M	setup/main2.py

commit 2bd60050bde533846bab6d63e585430aaa9e418b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 17:39:23 +0800

    fixes ibus-setup-libpinyin.in

M	setup/ibus-setup-libpinyin.in

commit f07ef4416614262dd9d144b762aad7f908166b54
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 15:47:06 +0800

    update Makefile.am

M	Makefile.am

commit db0dfc0fae8de7b3cf83746dc8a082c9fcf7ec3f
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 15:46:31 +0800

    remove googlecode_upload.py

D	tools/googlecode_upload.py

commit 5940250360c06324be9e31bd1072328137a47a51
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 15:00:58 +0800

    fixes rpm build

M	autogen.sh
M	ibus-libpinyin.spec.in
M	setup/Makefile.am

commit 2bff621cb26a6141ed5e28f92d20452ec771aea4
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 13:03:05 +0800

    remove PYBopomofo.h

M	src/Makefile.am
D	src/PYBopomofo.h

commit 1fdda7f796bbf8c953a6ff9b64c68fdeb9044cf0
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 11:56:47 +0800

    update ibus pathname

M	src/PYMain.cc
M	src/libpinyin.xml.in.in

commit 61f47b0dcedffe35b984c873dc7b35b5ab4c448b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 11:49:18 +0800

    update .gitignore

M	.gitignore

commit 4aa64d6ac11b9e5aafaa404469c5550ffb1321f5
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 11:43:44 +0800

    update ibus-libpinyin.spec.in

M	ibus-libpinyin.spec.in

commit e73f59fef83b3076ccc163a239d3e36566b315d2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 11:29:18 +0800

    update Makefile.am

M	Makefile.am
M	src/Makefile.am

commit ce965dca5d815cedac1858fd1db6f542177f01b3
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-06-01 11:24:35 +0800

    update configure.ac

M	configure.ac
R100	ibus-pinyin.spec.in	ibus-libpinyin.spec.in
R100	src/pinyin.xml.in.in	src/libpinyin.xml.in.in

commit b20cb8d0a3f921672f18236aa8ba12ab9d0cc292
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-31 11:13:46 +0800

    remove old files

D	src/PYPhrase.h
D	src/PYPhraseArray.h
D	src/PYPinyinArray.h

commit d3fd64168da469875adb5de72ca482582fa7e4db
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-31 11:13:33 +0800

    update Makefile.am

M	src/Makefile.am

commit c54cf0915b71e6424097b762056df1e437a9ef6e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:50:51 +0800

    fixes build

M	configure.ac
M	po/POTFILES.in

commit 75852ad1e28e031a618eb698b1b0f1797ac2b7b9
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:49:04 +0800

    update setup/Makefile.am

M	setup/Makefile.am

commit 8b830a632196f887cbbab85a21c0f83f74fa4bb9
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:47:21 +0800

    clean old files

D	setup/ibus-pinyin-preferences.ui
D	setup/ibus-setup-pinyin.in
D	setup/main.py

commit 8c08f5a4696d102467ebdbdada09265b2903035a
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:26:23 +0800

    update po/POTFILES.in

M	po/POTFILES.in

commit fd503af86b179da3f9457cb64554a86015e15ce5
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:23:53 +0800

    update po/POTFILES.in

M	po/POTFILES.in

commit 0ae300af8c4a1c05a3f51cb49e36b6e51eb6964d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:20:12 +0800

    update src/Makefile.am

M	src/Makefile.am

commit 0f9a8b59a5b06e054fd732cef30167f7f03ce554
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:11:11 +0800

    remove open-phrase db

D	data/db/open-phrase/Makefile.am

commit 8856391c70074bbaa834a06c9f0651825f8c7689
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:10:00 +0800

    Revert "remove android db and open-phrase db"
    
    This reverts commit f422b98164096cf038008e4c3788cbfbbb651a89.

A	data/db/Makefile.am
A	data/db/android/Makefile.am
A	data/db/android/README
A	data/db/android/create_db.py
A	data/db/android/create_valid_hanzi.py
A	data/db/android/id.py
A	data/db/android/pydict.py
A	data/db/android/rawdict_utf16_65105_freq.txt
A	data/db/android/valid_hanzi.py
A	data/db/android/valid_utf16.txt
A	data/db/create_index.sql
A	data/db/open-phrase/Makefile.am

commit 945aaccfbcc49ee35d6102a63afd495f16c291a2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 14:02:42 +0800

    update ibus-pinyin.spec.in

M	Makefile.am
M	ibus-pinyin.spec.in
M	po/POTFILES.skip

commit c6086e369c9cbc2c19757301971e3d1e7f0e854d
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:58:27 +0800

    update configure.ac

M	configure.ac

commit f422b98164096cf038008e4c3788cbfbbb651a89
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:56:53 +0800

    remove android db and open-phrase db

D	data/db/Makefile.am
D	data/db/android/Makefile.am
D	data/db/android/README
D	data/db/android/create_db.py
D	data/db/android/create_valid_hanzi.py
D	data/db/android/id.py
D	data/db/android/pydict.py
D	data/db/android/rawdict_utf16_65105_freq.txt
D	data/db/android/valid_hanzi.py
D	data/db/android/valid_utf16.txt
D	data/db/create_index.sql
D	data/db/open-phrase/Makefile.am

commit 9a90fbabfdbd988db6a021fda90bc986a74eee37
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:55:44 +0800

    update Makefile.am

M	data/Makefile.am

commit 12eef51db34a6e1e1071c7cdd4a6512c37a5cd9b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:54:55 +0800

    clean up pinyin.xml.in.in

M	src/pinyin.xml.in.in

commit 84a75bd8a0b3139a96fe32408210083f4d35847c
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:53:45 +0800

    update Makefile.am

M	src/Makefile.am

commit 02d8d300157556f3b1db41d7affdddaa5f1b32e1
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:52:19 +0800

    remove old files

D	src/PYBopomofoKeyboard.h

commit b5175e393b0e6d8106201f5b0d470f70c12fd8c5
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:51:34 +0800

    update Makefile.am

M	src/Makefile.am

commit 3d61124c8a180b6044c5ec11c2fbb55b4c72ce74
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:50:21 +0800

    remove old files

M	src/PYConfig.cc
D	src/PYDoublePinyinTable.h
D	src/PYPinyinParserTable.h

commit c9f554219d36a74ecc7d9de36bac935c73bc0306
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:47:20 +0800

    fixes compile

M	src/PYConfig.cc
M	src/PYMain.cc

commit 22f04155f71ff5d4e9d003bf98296acde385bacc
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:46:07 +0800

    clean up PYConfig.h/cc

M	src/PYConfig.cc
M	src/PYConfig.h

commit 6c791870980d208623893b727394607b5300ac3e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:41:35 +0800

    clean up PYMain.cc

M	src/PYMain.cc

commit 7862a2683f6358e7b04c3a94a14e9abebe0570be
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:39:18 +0800

    fixes compile

M	src/PYEngine.cc
M	src/PYMain.cc

commit 692728d5de414766be9faf81d298facec4cc94b2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:32:41 +0800

    update Makefile.am

M	src/Makefile.am

commit 0be5dc6e762d622c3d0662a6f4d1d54f26b187ed
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:31:29 +0800

    remove old files

D	src/PYBopomofoEditor.cc
D	src/PYBopomofoEditor.h
D	src/PYBopomofoEngine.cc
D	src/PYBopomofoEngine.h
D	src/PYDoublePinyinEditor.cc
D	src/PYDoublePinyinEditor.h
D	src/PYFullPinyinEditor.cc
D	src/PYFullPinyinEditor.h

commit 08e18cd2e90d748b191d974768d7c77c7dc00de6
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:30:16 +0800

    update Makefile.am

M	src/Makefile.am

commit 8496189f89f5d25624f63459803225419904444b
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-05-30 13:27:00 +0800

    remove old files

D	src/PYDatabase.cc
D	src/PYDatabase.h
D	src/PYPhoneticEditor.cc
D	src/PYPhoneticEditor.h
D	src/PYPhraseEditor.cc
D	src/PYPhraseEditor.h
D	src/PYPinyinEditor.cc
D	src/PYPinyinEditor.h
D	src/PYPinyinEngine.cc
D	src/PYPinyinEngine.h
D	src/PYPinyinParser.cc
D	src/PYPinyinParser.h

commit 3717bfcf2b5334c4d5800cb2239ab33410e7c26a
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-04-17 12:45:47 +0800

    update pinyin_choose_candidate

M	src/PYPPhoneticEditor.cc

commit 7a2b74326e066f4672207199971c9ce41dc31a39
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-04-10 10:48:36 +0800

    fixes commit in bopomofo editor

M	src/PYPBopomofoEditor.cc

commit 0ff6dabf0a1c0e5678487d8d273b21e2a1c65ff0
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-04-01 14:52:28 +0800

    polish setup ui

M	setup/ibus-libpinyin-preferences.ui
M	setup/main2.py

commit 26067f84fb3793e9559f60d3caf70404dad99458
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-03-27 12:14:16 +0800

    update setup ui

M	setup/ibus-libpinyin-preferences.ui

commit 1cf2c71ff9612ddbea6b2c3f69ffb773ec1f242a
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-03-27 11:59:38 +0800

    update libpinyin setup

M	setup/main2.py
M	src/PYPConfig.cc

commit c8990ccfce7a17aeaf91a72dfa585e60a71192a6
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-03-26 14:00:26 +0800

    update setup ui

M	setup/ibus-libpinyin-preferences.ui

commit fbe55876db048bc375c99d0b7fa7dc023061d0b9
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-03-26 13:58:35 +0800

    update setup dialog

M	configure.ac
M	setup/Makefile.am
A	setup/ibus-setup-libpinyin.in
M	setup/main2.py
M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit d093c2d0837266fe21ff01016819dd4e2bfdd83c
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-03-26 13:50:28 +0800

    update main.py

M	setup/main.py
M	setup/main2.py

commit 0774ffed825adcf4cc3c1f9112be478a2be48918
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-03-26 12:07:01 +0800

    fork setup ui

A	setup/ibus-libpinyin-preferences.ui
A	setup/main2.py

commit 17a3ca51fccbbda4520be38ebbdc8f45673ffdff
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-03-20 15:45:58 +0800

    remove ibus dconf work around

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit e352759e39907c1f6152bade4d1559d31916a0e2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-02-15 15:17:38 +0800

    fixes pinyin.xml.in.in

M	src/pinyin.xml.in.in

commit de0ae3f9568f3d139a0790f23d2cba948d1180cf
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-02-15 13:32:19 +0800

    clean pinyin.xml.in.in

M	src/pinyin.xml.in.in

commit 3ccb1e9dadc52dcaa31f7f8cce9edac8a6b3d498
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-02-09 11:09:40 +0800

    update pinyin.xml

M	src/pinyin.xml.in.in

commit e485aee4d5f1c0eb6abd6562f296e7dee3e92f3e
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-02-07 11:38:04 +0800

    use enter key to commit english word

M	src/PYPPhoneticEditor.cc

commit 6565bdd3842e44647e007319b192193b36d396b2
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-01-30 10:49:57 +0800

    fixes process bopomofo

M	src/PYPBopomofoEditor.cc

commit 48aa7a0e16f876464e0162db13c2162f12052e33
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-01-30 10:36:27 +0800

    fixes chewing options

M	src/PYLibPinyin.cc

commit ddee3cc2d3154d7715261aa5d0b7593b8ab0cd73
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-01-29 10:30:43 +0800

    enable libbopomofo

M	src/pinyin.xml.in.in

commit 6566626d54e59afbf32ada25e0ca32f0f7eda045
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-01-29 10:20:35 +0800

    fixes PYConfig.cc

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit f6b0dc8ef534ce7c514c99ba1706e91b1ce0b2fb
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-01-16 13:31:27 +0800

    fixes <num>+.<num>+

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 37d46d80dd635e916549bb035a90be16cb433ade
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-01-14 10:38:12 +0800

    use USE_RESPLIT_TABLE

M	src/PYLibPinyin.cc

commit e2139d4027af85160748af525f4d624f4b236347
Author: Peng Wu <alexepico@gmail.com>
Date:   2012-01-05 12:46:08 +0800

    fixes PY::Config

M	src/PYConfig.cc

commit 4bbebc9dd00b98304232e12231548dd78782d6c7
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-29 18:06:46 +0800

    fixes crash

M	src/PYPPinyinEditor.cc

commit 998401f0c4c239fe6e804ab7b403b19c151fd13f
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-28 14:39:53 +0800

    work around gsettings

M	src/PYPConfig.cc

commit e944e7d63af8152b20bffdd4ddeb3bd7fa786e31
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-27 18:59:07 +0800

    fixes code style

M	src/PYLibPinyin.cc
M	src/PYMain.cc
M	src/PYPConfig.h

commit 27b889202f81006fb16566b4f460fd353a5ff689
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-27 14:05:04 +0800

    fixes crash

M	src/PYPBopomofoEditor.cc
M	src/PYPFullPinyinEditor.cc

commit 9d175347f6bbe6b1655c34fee71fb7aad3b24e31
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-27 10:47:15 +0800

    fixes PYConfig

M	src/PYConfig.cc
M	src/PYPConfig.cc

commit 163b21e23f0621e6cfaf424b914aa33bda891294
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-22 10:54:11 +0800

    switch to LibPinyin*Config

M	src/PYLibPinyin.cc
M	src/PYMain.cc
M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 98118c2e9ef40e1ce33806a03d206a0e6027e65f
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-21 12:53:51 +0800

    update bopomofo editor

M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc

commit e0af17eacda954dadaf84c474e6dedd707986f80
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-20 17:28:48 +0800

    use new parsers

M	src/Makefile.am
M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc

commit fa92d8b0c2100ed37983f1bd210695d16ce9182b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-20 17:05:00 +0800

    forked PY::Config

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 904ce4a5ade3e04c063081b549b75efafad73f56
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-12-20 16:42:41 +0800

    add LibPinyin Config

M	src/Makefile.am
A	src/PYPConfig.cc
A	src/PYPConfig.h

commit 31abb4ac2825319bd33bd9f6748cc4627ab5311e
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-25 15:23:41 +0800

    fixes process space in libpinyin phonetic editor

M	src/PYPPhoneticEditor.cc

commit 092b927577798f6e4742c6a0d8e98fcd4d30adea
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-22 10:54:35 +0800

    fixes pinyin yunmu 'v' handle

M	src/PYPFullPinyinEditor.cc

commit 0fb453ad10c68a4a4462c1e163afd5825696d9d3
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-14 14:23:10 +0800

    fixes fill candidates

M	src/PYPPhoneticEditor.cc

commit 3fbb80c187f3dc4b7296d838a78a054fe82d3266
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-08 14:14:48 +0800

    fixes first candidate

M	src/PYPPhoneticEditor.cc

commit 4052c696561ff06e74029cd1ec43355295e15e8c
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-08 13:14:34 +0800

    remove duplicated candidates

M	src/PYPPhoneticEditor.cc

commit 705c791f5c535bc02c349c6ea686d6b69db6b559
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-08 13:03:31 +0800

    clean code

M	src/PYPPhoneticEditor.cc

commit 7a10a4c189f8f28333c4bd8857a9bba4fd009a59
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 15:09:46 +0800

    show the rest of guessed sentence

M	src/PYPPhoneticEditor.cc

commit 2db3c83f7ed2dbcba3c579cfe9963577eaf58a59
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 14:50:54 +0800

    add get lookup cursor function

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 4b12c07f98d9e0cb437034ad5215b9001e98321e
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 14:40:06 +0800

    fixes select candidate

M	src/PYPPhoneticEditor.cc

commit d51411dd4f9e728c68ccdf9949198fa6f16b753f
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 14:22:19 +0800

    show guessed sentence in lookup table

M	src/PYPPhoneticEditor.cc

commit 266f166b84f396dac50f4cdc4106527a635ade4b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 13:39:58 +0800

    remove cursor by word functions

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit b068207b550f53309f5950ee14a2124224c36841
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 13:33:28 +0800

    copy move cursor by word functions

M	src/PYPPhoneticEditor.cc

commit 9ea1f7abfe470fd0b2f4832eee612e98d62072b4
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 13:14:06 +0800

    update header

M	src/PYPBopomofoEditor.h
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.h

commit c17b5a6fba9af303e7d8c1d8a2575aeccc6fe596
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-07 12:53:41 +0800

    fixes 'hon' auto correction

M	src/PYPFullPinyinEditor.cc

commit 1aa1e525b824b52795fdd84551077f4fdd1d3982
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-03 13:19:12 +0800

    add compile flags

M	configure.ac
M	src/Makefile.am
M	src/PYConfig.cc
M	src/PYEngine.cc
M	src/PYMain.cc

commit ff59fc1cc01c973d43cef4365293b906690c6481
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-11-03 11:31:05 +0800

    fixes select candidate

M	src/PYPPhoneticEditor.cc

commit ad473e4b6d938b5e4cba72ecb49a4e5cc756cb4a
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-31 11:18:09 +0800

    improves pinyin.xml

M	src/pinyin.xml.in.in

commit 8c9b93ed7da9df14257b6f8d555a8b5a6defccae
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-27 11:36:59 +0800

    hide bopomofo

M	src/pinyin.xml.in.in

commit 59b266d410cedb70f2b8b2aa8c1619184b2fb0ee
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-26 10:10:58 +0800

    add save support

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit 4d6a548b773ab5d59641208b5668a000287075d3
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-25 14:36:36 +0800

    add user data directory support

M	src/PYLibPinyin.cc

commit a83024ca7e24c5a1bd3054f7824d985e2f67bbf8
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-25 14:11:13 +0800

    update pinyin.xml.in.in

M	src/pinyin.xml.in.in

commit 5250368d8b054195b68388fe9675778f582f28ed
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-11 11:14:18 +0800

    fixes choose candidate

M	src/PYPPhoneticEditor.cc

commit 84ba51d4a668b8b6d7f93f2c142b9def4c1fba09
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-10 17:30:39 +0800

    fixes space handle

M	src/PYPPhoneticEditor.cc
M	src/PYPPinyinEditor.cc

commit f93acc44b3cc2c14ed739c9a70ca2538dd970789
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-10 15:25:20 +0800

    fixes commit/reset

M	src/PYPPhoneticEditor.cc

commit 4b6fb2b018f52b1af75fa8aebb629497fef5a07f
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-10 14:08:17 +0800

    add update when select candidate

M	src/PYPBopomofoEditor.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPinyinEditor.cc

commit bb096fc88fdfb03deb8e29f0865676f540ce3669
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-10 13:08:27 +0800

    update main.py

M	setup/main.py

commit c8ca05ddaeb49f990ce486ad66b2d0eb84c57b7c
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-08 19:01:16 +0800

    fixes update preedit text

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit 68542b98d00d853e4a697a037905e10bc4671d5d
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-08 18:53:12 +0800

    add to pinyin.xml.in.in

M	src/pinyin.xml.in.in

commit 6a11e90a42cbca5c4a0990b5af780a61e4770d1e
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-08 11:40:11 +0800

    fixes chewing editor

M	src/PYEngine.cc
M	src/PYPBopomofoEditor.cc

commit c22d0d6a24c969821e60f624fd93b1851fc334ab
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-08 11:29:03 +0800

    fixes double pinyin

M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc

commit 4f6d9fdb5723b7d9141524dfcb3c049ee37a2ed7
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-08 10:37:40 +0800

    fixes full editor

M	src/PYPFullPinyinEditor.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPinyinEngine.cc

commit 4f1d32d049a3769fb09b43dc130353a1f1b8766b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-08 10:11:35 +0800

    add engines

M	src/PYMain.cc

commit 1e18f80266808ba71138775d73244abff6f2fdd7
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-08 10:03:26 +0800

    alloc/free pinyin instance

M	src/PYMain.cc
M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit 1e7522cfd85fbf7ed2ef512ae8f093039f7a699d
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-07 13:05:20 +0800

    write PYConfig

M	src/PYConfig.cc

commit e5870dfe0dc3a85182b8f92322ac25127de10af5
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-10-07 12:53:14 +0800

    write libpinyin backend

M	src/PYLibPinyin.cc

commit fd1f18c48e6fbec50e8c908552c446c60363a94b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-30 10:54:25 +0800

    add lazy init

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 5eafd4293c651be31bd1fdc8e406f8db48dcd8af
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-30 10:30:11 +0800

    add show setup

M	src/PYPBopomofoEngine.cc
M	src/PYPPinyinEngine.cc

commit 4de98d738a224f4e7a72e01c2be24d280fbb4f3a
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-29 15:08:52 +0800

    add libpinyin engines to PYEngine.cc

M	src/PYEngine.cc

commit 6438ef7044c5d6d5e6e187dfd7d5c57deb601e8c
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-29 14:59:44 +0800

    add PYPBopomofoEngine.cc

M	src/Makefile.am
A	src/PYPBopomofoEngine.cc

commit 08242f69f3740431d0fadc352fbcad7535827eb1
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-29 13:46:48 +0800

    add PYPBopomofoEngine.h

M	src/Makefile.am
A	src/PYPBopomofoEngine.h

commit b35d3416c2ea19f1ec33b622db3968f1c78804e2
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-29 11:03:50 +0800

    re-factor libpinyin backend

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h
M	src/PYMain.cc

commit 5c5f74abcc1f29a8da8c66dbb9db9a58dbb4cf4a
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-29 10:28:25 +0800

    fixes libpinyin pinyin engine

M	src/PYPPinyinEngine.cc

commit 6a7e7ef94cc3e457fcd81bb9988ff83a9e1c9406
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-28 17:51:56 +0800

    polish code

M	src/PYPPinyinEngine.cc
M	src/PYPPinyinEngine.h

commit a06c8ad7f26ca41a2c52bd824bed0fc0461ba58b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-28 17:35:18 +0800

    re-factor pinyin editor

M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit b7042d52ffb286de6231a43b3c53947a78c19155
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-28 17:30:41 +0800

    write bopomofo editor

M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 1de241261875c35144a0a732849e057bc9bcc962
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-28 17:09:11 +0800

    add libpinyin pinyin engine

M	src/Makefile.am
A	src/PYPPinyinEngine.cc

commit 3497f64da0b6b6e7ffb85769b05e49f04221b08f
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-28 15:08:11 +0800

    add PYPPinyinEngine.h

M	src/Makefile.am
A	src/PYPPinyinEngine.h

commit 80723f3558c00e6f5008434ae8c568fdcf0ac8e4
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-26 15:33:00 +0800

    add libpinyin pinyin/chewing scheme options

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 57911c37fc0f515d7459e1c7e95ce356bb0d9f66
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-23 14:44:10 +0800

    add set chewing options

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 809905b63d340e823190625ccd82a248fe66e2b8
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-22 15:49:29 +0800

    fixes Makefile.am

M	src/Makefile.am
M	src/PYPBopomofoEditor.cc

commit 567aec11de7f8df43a12deda4227ebd975ef6d2e
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-22 15:31:06 +0800

    remove m_pinyins

M	src/PYPBopomofoEditor.cc
M	src/PYPDoublePinyinEditor.cc
M	src/PYPFullPinyinEditor.cc
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit aea71c5a524cb814cb1697ed4b97a944eb899db6
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-22 15:18:37 +0800

    write bopomofo editor

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.cc

commit 3b2103d9293ce891f4b47173f60b194916046b18
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-22 15:00:11 +0800

    write bopomofo editor in progress

M	src/PYPBopomofoEditor.cc
M	src/PYPPinyinEditor.h

commit 204a6f858e9a2e6577f78d2368474d048b643098
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-22 14:35:40 +0800

    begin to write bopomofo editor

M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h
M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.h

commit cb25a0b9ee36d12d09ef9a0644888bfd2066252a
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-22 14:24:09 +0800

    write double pinyin editor

M	src/PYPDoublePinyinEditor.cc
M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.cc
M	src/PYPPinyinEditor.cc

commit dde9caeb198ab9756555ac8e040090941e53abba
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 14:52:09 +0800

    add update pinyin

M	src/PYPDoublePinyinEditor.cc
M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.cc

commit 490d506672590d37242cbb45cc8ec871d6f23137
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 14:18:36 +0800

    move cursor edit funcs to pinyin editor

M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit 05035a2ca103c6dc795bcd810df7fba86f22f8a7
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 14:02:14 +0800

    begin to add double pinyin editor

M	src/Makefile.am
A	src/PYPDoublePinyinEditor.cc

commit 1bf1279f74ca5eb26e1250d862d5c6d722cc10f6
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 12:22:55 +0800

    add update aux text func for full pinyin

M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h
M	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit 9d968ec9eb391d26b1762dfeae1699e92a4e6614
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 11:39:17 +0800

    re-factor full pinyin editor

M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h

commit 45fc184f99a90c32d282732b5adf1199b219016c
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 11:25:58 +0800

    use pinyin pos

M	src/PYPPhoneticEditor.cc
M	src/PYPPinyinEditor.cc

commit c692d73e9a7953f785dfc6b75b458d2056baa717
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 10:34:46 +0800

    use m_pinyin_poses in full pinyin editor

M	src/PYPFullPinyinEditor.cc

commit 0af6961241de8fe55420ae3196582ccf3a7a883e
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-21 10:14:49 +0800

    write full pinyin editor in progress

M	src/PYPFullPinyinEditor.cc

commit a71b5e486260f98e527d6fe9b538a1af2089b6ed
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-20 16:12:46 +0800

    add char edit

M	src/PYPFullPinyinEditor.cc

commit 48297caeed02607f0f124510d488d71e69b8e303
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-20 13:52:05 +0800

    write update pinyin

M	src/PYPFullPinyinEditor.cc
M	src/PYPFullPinyinEditor.h

commit acca31ee1da743f2f4850eb6562dba73aa9c6a7d
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-19 16:26:42 +0800

    begin to write libpinyin full pinyin editor

M	src/Makefile.am
A	src/PYPFullPinyinEditor.cc

commit 009663c6c618612a022bfb4cb9dd422e439f573f
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-19 16:10:48 +0800

    write pinyin editor in progress

M	src/PYPPhoneticEditor.h
M	src/PYPPinyinEditor.cc

commit a65345601ddcc396d0742c9c46164b8acf567d2b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-16 17:31:56 +0800

    add m_pinyin_len back

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit a7516b6b7dd80fb57fb8b5db176f907584975b4c
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-16 15:51:12 +0800

    clean up libpinyin bopomofo editor

M	src/PYPBopomofoEditor.cc

commit d8fc6ba5611fd6bb00282446a71da970c249695a
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-16 15:43:35 +0800

    refactor libpinyin phonetic editor

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit 48e7bb8f1db150e6e0ea4b76e1d28d7f349c432d
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-15 15:19:49 +0800

    remove special phrase

M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h

commit c79a32bd545251896d6bc02f27235669abe86774
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-14 17:49:47 +0800

    add set options to libpinyin back end

M	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 979bbe6338cf796d97953b0a95d13fc00f0bf650
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-08 18:02:51 +0800

    begin to write libpinyin backend

M	src/Makefile.am
A	src/PYLibPinyin.cc
M	src/PYLibPinyin.h

commit 4e279112646c10657191b8529d0b96d15a9d14dd
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-08 15:13:17 +0800

    add libpinyin deps

M	configure.ac
M	src/Makefile.am
M	src/PYPPhoneticEditor.h

commit e9f90e33c992e4c463235862acd20a5329381f8e
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-05 17:13:31 +0800

    fixes compile

M	src/Makefile.am
M	src/PYPBopomofoEditor.cc
M	src/PYPBopomofoEditor.h

commit 3799224a7f951a40b47f202e428d1d390b53fd25
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-05 16:59:49 +0800

    begin to write bopomofo editor

A	src/PYPBopomofoEditor.cc
A	src/PYPBopomofoEditor.h

commit 9d7be99bc520bd98cf52fa88f947f3787e411fde
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-02 16:49:00 +0800

    begin to write pinyin editor

M	src/PYPPinyinEditor.cc

commit f8dca3a01a6f976fd41a13bb01dac6ab8134eb0f
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-02 15:49:13 +0800

    rename base editor

M	src/Makefile.am
M	src/PYPDoublePinyinEditor.h
M	src/PYPFullPinyinEditor.h
M	src/PYPPhoneticEditor.cc
M	src/PYPPhoneticEditor.h
A	src/PYPPinyinEditor.cc
M	src/PYPPinyinEditor.h

commit 2a351f4f7a5ac32459b94622340de901561b9764
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-02 15:39:31 +0800

    add libpinyin pinyin editor header

A	src/PYPPinyinEditor.h

commit 6294d7dd68f2a3a9d17830bf6c4768af6a374cd1
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-02 15:26:21 +0800

    rename files

R100	src/PYLibPinyinDoublePinyinEditor.h	src/PYPDoublePinyinEditor.h
R100	src/PYLibPinyinFullPinyinEditor.h	src/PYPFullPinyinEditor.h
R100	src/PYLibPinyinBaseEditor.cc	src/PYPPhoneticEditor.cc
R100	src/PYLibPinyinBaseEditor.h	src/PYPPhoneticEditor.h

commit 18a7fac7337e7f6d1ec953454cd26ec8a99525b1
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-02 14:30:11 +0800

    begin to write concrete pinyin editors

A	src/PYLibPinyinDoublePinyinEditor.h
A	src/PYLibPinyinFullPinyinEditor.h

commit 5e4d1aba9a99203f8cf664ef0ac6a00368bf8623
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-02 10:34:06 +0800

    add special phrases handle in libpinyin base editor

M	src/PYLibPinyinBaseEditor.cc
M	src/PYLibPinyinBaseEditor.h

commit d14c7c5cef6f21421fe0bc19b1179b202f416e3b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-01 15:51:53 +0800

    fixes compile

M	src/Makefile.am
M	src/PYLibPinyinBaseEditor.cc
M	src/PYLibPinyinBaseEditor.h

commit 772a6b8cb77f01f1832ea25c88db6d9d9d4f3ab9
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-01 15:13:09 +0800

    begin to write libpinyin base editor

A	src/PYLibPinyinBaseEditor.cc
M	src/PYLibPinyinBaseEditor.h

commit e5da1763d6db253ae4f89880974dfa094ca43c92
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-01 13:02:24 +0800

    rename editor header

R100	src/PYPinyinBaseEditor.h	src/PYLibPinyinBaseEditor.h

commit 7a74baf03f6bdf37d033efa6a66feab936ab255b
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-09-01 11:24:02 +0800

    rename editor class

M	src/PYLibPinyin.h
M	src/PYPinyinBaseEditor.h

commit 2fcee36056380fa72fcfab98f55508151b068e1c
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-08-30 18:24:02 +0800

    begin to write libpinyin backend singleton

A	src/PYLibPinyin.h

commit 4d0b70d57a872931404868ec3eafd9ae0e5b4441
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-08-29 14:14:46 +0800

    begin to integrate

A	src/PYPinyinBaseEditor.h

commit 0e658c782158a8973bd2e6f3ae6c627daf7d191a
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-12-20 22:19:56 -0500

    Bump version for 1.4.0 release.
    
    BUG=None
    TEST=make distcheck
    
    Review URL: http://codereview.appspot.com/5498057

M	configure.ac

commit b88b7d0e6a53576ee38424412ade2550c7323ad8
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-10-28 14:11:33 -0400

    Fix some issues which may cause crash likely.
    
    BUG=http://code.google.com/p/ibus/issues/detail?id=1325
    TEST=Manually
    
    Review URL: http://codereview.appspot.com/5298065

M	src/PYEnglishEditor.cc
M	src/PYEnglishEditor.h

commit f736b49d4e0e424bf8fd2ef1786bec4539a066eb
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-10-26 11:15:36 -0400

    Exit if config component is not ready instead of crash.
    
    BUG=crash when ibus config is not ready
    TEST=Linux desktop
    
    Review URL: http://codereview.appspot.com/5321054

M	src/PYMain.cc

commit cb5afea67473240d73f0c359c7dc6e553f87da14
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-07-05 13:09:29 -0400

    Use ibus_config_get_values () to improve performance.
    
    BUG=http://crosbug.com/16287
    TEST=Linux desktop
    
    Review URL: http://codereview.appspot.com/4670044

M	configure.ac
M	src/PYConfig.cc
M	src/PYConfig.h

commit 47bc0ca6978131de085f27d988a0f135474b6062
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-06-02 08:30:49 -0400

    Fix a build warning.
    
    BUG=Build wanring
    TEST=Manually
    
    Review URL: http://codereview.appspot.com/4528117

M	src/PYPunctEditor.cc

commit d89313116374fb647df89cba0aee8002a0750308
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-05-27 10:47:13 -0400

    Fix make distcheck errors.
    
    BUG=make distcheck failed
    TEST=Manually
    
    Review URL: http://codereview.appspot.com/4551054

M	configure.ac
M	data/Makefile.am
M	data/db/android/Makefile.am
M	data/db/open-phrase/Makefile.am

commit 6a6469f3c85d3a60ee68e074ac3c6b854b837753
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-05-03 10:07:25 -0400

    Fixed build errors in Ubuntu 11.04 and get distribution codename from /etc/lsb-release.
    
    BUG=None
    TEST=Linux desktop
    
    Review URL: http://codereview.appspot.com/4428083

M	Makefile.am
M	src/PYConfig.cc
M	src/PYDatabase.cc

commit a16d70e01a441193c6bb8a38d7cf093a7ebed19c
Author: Peng Wu <alexepico@gmail.com>
Date:   2011-04-22 07:31:53 -0400

    add English Editor
    to speed up English input
    
    BUG=none
    TEST=build fine
    
    Review URL: http://codereview.appspot.com/4200041
    Patch from Peng Wu <alexepico@gmail.com>.

M	configure.ac
M	data/Makefile.am
A	data/english.awk
M	src/Makefile.am
A	src/PYEnglishEditor.cc
A	src/PYEnglishEditor.h
M	src/PYExtEditor.cc
M	src/PYPinyinEngine.cc
M	src/PYPinyinEngine.h

commit d85a24507314194f1597c4c5d6c460408fcd3a9e
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-03-21 13:00:05 -0400

    Add auto correct "on" => "ong", and combine some fuzzy pinyin options to save flag bits.
    
    BUG=none
    TEST=Linux desktop
    
    Review URL: http://codereview.appspot.com/4273085

M	data/db/android/Makefile.am
M	data/db/open-phrase/Makefile.am
M	scripts/genpytable.py
M	setup/ibus-pinyin-preferences.ui
M	setup/main.py
M	src/Makefile.am
M	src/PYConfig.cc
M	src/PYPinyinParserTable.h
M	src/PYTypes.h

commit 5d68b85c32049841ad1ac6220c6b03a528da7662
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-02-18 09:15:24 -0500

    Update PYSimpTradConverterTable.h from wikipedia
    
    BUG=none
    TEST=manual
    
    Review URL: http://codereview.appspot.com/4190049

M	scripts/update-simptrad-table.py
M	src/PYSimpTradConverterTable.h

commit f60c85749674f38b8e5fee222cd89fcc46ba2688
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-02-07 11:33:37 -0500

    Storing user database to disk, if engine idles more than 60 seconds.
    
    BUG=none
    TEST=manual
    
    Review URL: http://codereview.appspot.com/4127050

M	src/PYDatabase.cc
M	src/PYDatabase.h

commit a142d959cdba0406a2c614fadfa9367803c31286
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2011-01-18 10:12:40 -0500

    Do not handle release key events, if engine is in init mode.
    
    Most application only process key press events, but some process key release events. This change will let Pinyin engine to ignore some release events in init mode, and let applications have chance to get release key events.
    
    BUG=none
    TEST=Test within Ubuntu 10.10
    
    Review URL: http://codereview.appspot.com/3975042

M	src/PYBopomofoEngine.cc
M	src/PYPinyinEngine.cc

commit 15b9b66b013ee83974b3ae16a76983cc10e9dbe8
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-11-24 16:53:36 +0900

    Use in memory user database to improve performance.
    
    I found pinyin's performance is very low when system IO load is big. So
    I let pinyin use im memory user database to improve the performance, and
    write the database to the harddisk in 60 seconds or when engine exits.
    
    BUG=none
    TEST=manual
    
    Review URL: http://codereview.appspot.com/3303041

M	src/PYDatabase.cc
M	src/PYDatabase.h
M	src/PYMain.cc
M	src/PYString.h

commit f067b7a651cf24f7234441a31c0f88191cb74a42
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-11-12 15:06:09 +0800

    add author

M	setup/ibus-pinyin-preferences.ui
M	src/pinyin.xml.in.in

commit e6f36dbffa9da69fd3819ce21ac7504f50b055e7
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-11-04 16:26:18 +0900

    Fix deb build errors.

M	Makefile.am
M	debian/control

commit a17468d8ade1df427ca204605f608b9e4ab67b50
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-10-29 09:31:05 +0900

    Change default ubunut serie to mavreick

M	Makefile.am

commit 9b655b630a50e9cd7a9415f07b2ddb4348b2db64
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-10-29 09:28:48 +0900

    Bump version to 1.3.99

M	configure.ac

commit 16a3b3d689de672efc1ed8eb4604160cd38d7302
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-10-22 20:36:54 +0900

    Fix build errors with ibus-1.4

M	configure.ac
M	debian/control

commit ead9afe09d8e580bc2abb3556cf778c0a29c243c
Author: phuang <phuang@phuang-MacPro.(none)>
Date:   2010-10-18 22:02:33 +0900

    Fix some errors when build debian packages.

M	Makefile.am
M	debian/control
M	debian/rules

commit 2924d05cf008f7c7794d4f4b65940a70ba2247bd
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-12 18:14:46 +0800

    Fix problem with ibus-2.0

M	configure.ac
M	src/PYConfig.cc
M	src/PYConfig.h

commit bcf86cbf44e2a9658fda42724ed066f3f05ced79
Author: Yuren Ju <yurenju@gmail.com>
Date:   2010-10-20 18:49:33 +0800

    added simp. chinese and hong kang translation

M	po/zh_CN.po
M	po/zh_HK.po

commit d43d04a9b92f7abd719cf3da666c23eee43fb67c
Author: Yuren Ju <yurenju@gmail.com>
Date:   2010-10-20 18:44:23 +0800

    add options for enter key, original feature is commit original english text, new feature is commit first candidate phrase

M	po/zh_TW.po
M	setup/ibus-pinyin-preferences.ui
M	setup/main.py
M	src/PYBopomofoEditor.cc
M	src/PYConfig.cc
M	src/PYConfig.h

commit 5a0ba0b751abe079fad8bc90316501cd489f50e6
Author: Yuren Ju <yurenju@gmail.com>
Date:   2010-10-11 17:07:25 +0800

    use ， & 。 instead of 《 & 》 for traditional chinese user

M	src/PYFallbackEditor.cc

commit a0b31c7a250cfa7af1b52056a1d1ada81b22a455
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-09-27 14:09:07 +0800

    Add option --disable-boost to support build without boost
    
    When build without boost, ibus-pinyin will use smart pointer
    from c++0x and use the signal templates embedded instead of
    boost::signals2.
    
    BUG=chromium-os:5055
    TEST=manual
    
    Review URL: http://codereview.appspot.com/2205044

M	configure.ac
M	src/Makefile.am
M	src/PYBopomofoEngine.cc
M	src/PYConfig.cc
M	src/PYConfig.h
M	src/PYDatabase.cc
M	src/PYDatabase.h
M	src/PYEditor.h
M	src/PYEngine.cc
M	src/PYExtEditor.cc
M	src/PYPhraseEditor.h
M	src/PYPinyinEngine.cc
M	src/PYPunctEditor.cc
M	src/PYPunctEditor.h
M	src/PYSignal.h
M	src/PYSpecialPhraseTable.h
M	src/PYUtil.h

commit 27c2f7ea0ef69094db2dfc009bb661276fc90227
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-09-27 10:10:33 +0800

    Add codereview.settings.
    
    This is for us to use codereview.appspot.com for code reviews.
    
    Instructions to use codereview.appspot.com:
    
    1. Get depot_tools and add PATH to the directory
    http://dev.chromium.org/developers/how-tos/depottools
    
    2. In your local IBus git repository,
    
    % git checkout master
    % git checkout -b somefix
    make changes
    % git cl upload
    do code reviews at codereview.appspot.com
    once it's done, run "git cl push" if you can commit.
    otherwise, ask committers to commit on behalf.
    
    Add target for build debian packages.
    
    BUG=none
    TEST=build fine
    
    Review URL: http://codereview.appspot.com/2229048

M	Makefile.am
A	codereview.settings

commit eb321b4ad179d0f30a6bbf08bcc8e793a0c29f19
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-09-06 10:43:20 +0800

    release 1.3.11

M	configure.ac

commit 895bd567cbf353927839647303fa58e12a3ab5e1
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-09-06 10:41:04 +0800

    Fix make distcheck errors.

M	po/POTFILES.in
M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	src/Makefile.am

commit ff252da6d8603fcf3679a369a63ceb731f2caeb7
Author: Yusuke Sato <yusukes@chromium.org>
Date:   2010-05-11 11:33:05 +0900

    Tiny modification to m4/boost.m4.
    
    Pass $CXXFLAGS to $ac_cpp to make cross-compilation of ibus-pinyin easy.
    
    BUG=none
    TEST=ran emerge-x86-generic -a ibus-pinyin.
    
    Review URL: http://codereview.chromium.org/2045008

M	m4/boost.m4

commit 8fef79fdf46eb0c9a342c76f79b613540dbf6632
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-08-23 09:54:49 +0800

    Remove sqlite3 in create_db.py

M	data/db/android/create_db.py

commit e47965d40f5cf56b15c10aca74fff0e3739c988d
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-08-14 06:43:29 +0800

    Remove duplicated EXTRA_DIST value in lua/Makefile.am

M	lua/Makefile.am

commit f3f325b0603ed635d076a5e6430164b2c72b21da
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-08-13 16:20:01 +0800

    Add PY prefix of all file names to avoid name conflict on some file
    system than is case insensitive.

M	src/Makefile.am
R100	src/Bopomofo.h	src/PYBopomofo.h
R099	src/BopomofoEditor.cc	src/PYBopomofoEditor.cc
R098	src/BopomofoEditor.h	src/PYBopomofoEditor.h
R097	src/BopomofoEngine.cc	src/PYBopomofoEngine.cc
R097	src/BopomofoEngine.h	src/PYBopomofoEngine.h
R099	src/BopomofoKeyboard.h	src/PYBopomofoKeyboard.h
R098	src/Bus.h	src/PYBus.h
R099	src/Config.cc	src/PYConfig.cc
R099	src/Config.h	src/PYConfig.h
R099	src/Database.cc	src/PYDatabase.cc
R097	src/Database.h	src/PYDatabase.h
R099	src/DoublePinyinEditor.cc	src/PYDoublePinyinEditor.cc
R098	src/DoublePinyinEditor.h	src/PYDoublePinyinEditor.h
R100	src/DoublePinyinTable.h	src/PYDoublePinyinTable.h
R099	src/DynamicSpecialPhrase.cc	src/PYDynamicSpecialPhrase.cc
R098	src/DynamicSpecialPhrase.h	src/PYDynamicSpecialPhrase.h
R098	src/Editor.cc	src/PYEditor.cc
R098	src/Editor.h	src/PYEditor.h
R099	src/Engine.cc	src/PYEngine.cc
R097	src/Engine.h	src/PYEngine.h
R099	src/ExtEditor.cc	src/PYExtEditor.cc
R100	src/ExtEditor.h	src/PYExtEditor.h
R098	src/FallbackEditor.cc	src/PYFallbackEditor.cc
R098	src/FallbackEditor.h	src/PYFallbackEditor.h
R098	src/FullPinyinEditor.cc	src/PYFullPinyinEditor.cc
R098	src/FullPinyinEditor.h	src/PYFullPinyinEditor.h
R098	src/HalfFullConverter.cc	src/PYHalfFullConverter.cc
R100	src/HalfFullConverter.h	src/PYHalfFullConverter.h
R098	src/LookupTable.h	src/PYLookupTable.h
R097	src/Main.cc	src/PYMain.cc
R098	src/Object.h	src/PYObject.h
R098	src/PhoneticEditor.cc	src/PYPhoneticEditor.cc
R096	src/PhoneticEditor.h	src/PYPhoneticEditor.h
R098	src/Phrase.h	src/PYPhrase.h
R097	src/PhraseArray.h	src/PYPhraseArray.h
R096	src/PhraseEditor.cc	src/PYPhraseEditor.cc
R097	src/PhraseEditor.h	src/PYPhraseEditor.h
R098	src/PinyinArray.h	src/PYPinyinArray.h
R098	src/PinyinEditor.cc	src/PYPinyinEditor.cc
R098	src/PinyinEditor.h	src/PYPinyinEditor.h
R097	src/PinyinEngine.cc	src/PYPinyinEngine.cc
R097	src/PinyinEngine.h	src/PYPinyinEngine.h
R099	src/PinyinParser.cc	src/PYPinyinParser.cc
R097	src/PinyinParser.h	src/PYPinyinParser.h
R100	src/PinyinParserTable.h	src/PYPinyinParserTable.h
R098	src/PinyinProperties.cc	src/PYPinyinProperties.cc
R097	src/PinyinProperties.h	src/PYPinyinProperties.h
R100	src/Pointer.h	src/PYPointer.h
R098	src/Property.h	src/PYProperty.h
R099	src/PunctEditor.cc	src/PYPunctEditor.cc
R098	src/PunctEditor.h	src/PYPunctEditor.h
R100	src/PunctTable.h	src/PYPunctTable.h
R097	src/RawEditor.h	src/PYRawEditor.h
R100	src/Regex.h	src/PYRegex.h
R098	src/Signal.h	src/PYSignal.h
R097	src/SimpTradConverter.cc	src/PYSimpTradConverter.cc
R100	src/SimpTradConverter.h	src/PYSimpTradConverter.h
R100	src/SimpTradConverterTable.h	src/PYSimpTradConverterTable.h
R096	src/SpecialPhrase.cc	src/PYSpecialPhrase.cc
R100	src/SpecialPhrase.h	src/PYSpecialPhrase.h
R096	src/SpecialPhraseTable.cc	src/PYSpecialPhraseTable.cc
R100	src/SpecialPhraseTable.h	src/PYSpecialPhraseTable.h
R100	src/String.h	src/PYString.h
R098	src/Text.h	src/PYText.h
R100	src/Types.h	src/PYTypes.h
R099	src/Util.h	src/PYUtil.h

commit a32d2b4d5194559b4601cf7e2c65ddc68bdf13e3
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-08-17 13:15:52 +0900

    change the default fuzzy settings

M	setup/main.py
M	src/Config.cc

commit 20f31c8b18cefce89a8ce4b1c790f5aa37442a65
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-08-06 10:45:40 +0800

    Release 1.3.10

M	configure.ac

commit dea6dd8336caa9d76a64b69343d43a65312c6df4
Author: BYVoid <byvoid.kcp@gmail.com>
Date:   2010-07-27 22:01:25 +0800

    Use ucs4_t API of OpenCC.

M	src/SimpTradConverter.cc

commit ca206af4c2d9a0b312e3154f57cd4cf8d53bb845
Author: BYVoid <byvoid.kcp@gmail.com>
Date:   2010-07-27 22:00:47 +0800

    Fix some default punct mappings in traditional Chinese

M	src/FallbackEditor.cc

commit fb788847f855c0aa4b51797a4049c487fdd80a79
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-20 08:59:15 +0800

    Refine coding style and update AUTHORS

M	AUTHORS
M	src/DoublePinyinTable.h

commit 4577dca3f1680445177f270dfc63c70af1e0f3d2
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-16 14:24:07 +0800

    Release 1.3.9

M	configure.ac

commit f2b7ff6d4eca3b9a6ca284575ff1cbce9d7d0c30
Merge: d4eb78f f850d40
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-16 14:02:10 +0800

    Merge remote branch 'epic/master'

commit f850d40f939175382e7b801d6b16b4651820c448
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-14 13:40:53 +0800

    fixes error when make distcheck.

M	lua/Makefile.am
M	lua/test-lua-plugin.c
M	src/Makefile.am

commit d4eb78f97a6bf7a6a6aedbca7b13ca20b6e7cdb2
Merge: a05cf80 d604684
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-09 15:36:04 +0800

    Merge remote branch 'epic/master'

commit a05cf80fa3cf602dee0a3ddead14d2e646d6b2f9
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-09 15:35:41 +0800

    Fix build problem in ppa

M	configure.ac
M	debian/control
M	debian/rules
M	lua/Makefile.am

commit d6046846b0f5214ed61d92fe8e98b02bb87767d2
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-09 11:42:01 +0800

    only enable lua extension when use single pinyin.

M	src/PinyinEngine.cc

commit 826497eb99e46cc6aa6e4b23b3a94be1e04fe0d1
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-08 13:43:29 +0800

    fixes autoconf bug.

M	configure.ac

commit 15925b00c1d119dd343f3bb6c6532bc36df70c03
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-06 13:55:32 +0800

    add lua version check.

M	configure.ac

commit c4cbd703027566205b9dc4dfef6316717746f097
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-06 12:49:10 +0800

    fixes ExtEditor compile.

M	src/Makefile.am

commit 6cc8818cf72cbe7b56c6394030c6256178e71d28
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-06 12:42:15 +0800

    fixes ubuntu build.

M	configure.ac

commit 1ab6137e03e3d63968544e318d74ff36b807a611
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-06 11:22:44 +0800

    fixes a typo.

M	configure.ac

commit 0d928e4d3300f7dfb4969c7e662d006ff2f73502
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-06 10:46:46 +0800

    Use opencc

M	debian/control
M	debian/rules
M	src/SimpTradConverter.cc

commit f46a3755384fb6dab200d42c059d3d9ec6ebbbf3
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-07-05 16:29:48 +0800

    Revert to OpenCC C language API

M	src/SimpTradConverter.cc

commit 4b0a1b6d39fa13a401c70b3ed1f3d293904e8b45
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-22 16:42:18 +0800

    Use Constant of C++ wrapper of OpenCC instead of macro

M	src/SimpTradConverter.cc

commit 47fea81343591499c2949b8c691af037c94539ff
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-18 13:54:33 +0800

    Add error handler for call of OpenCC

M	src/SimpTradConverter.cc

commit a09afd5445915f69bec2d374d9145aa6596978c2
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-18 13:49:58 +0800

    Fix call of OpenCC

M	src/SimpTradConverter.cc

commit 9821b99fb1cfd1925e04e00e5b04184398ffcf0c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-07-05 15:31:03 +0800

    Disable lua extension by default

M	Makefile.am
M	configure.ac
M	lua/Makefile.am

commit 97dd325909f7f8293ce8651a6c04d9ae0b912a00
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-01 16:27:54 +0800

    fixes traditional number.

M	src/DynamicSpecialPhrase.cc

commit 3e35a3aaf06ddb063c04293fc3faa5402119ea60
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-01 16:17:19 +0800

    adding lua-extension flags.

M	configure.ac
M	src/BopomofoEngine.cc
M	src/Makefile.am
M	src/PinyinEngine.cc

commit 0bf5e528bef93ab20ab0c05ca62f5fc0032eaab4
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-01 15:32:36 +0800

    add lua extension compile flags.

M	configure.ac
M	lua/Makefile.am

commit 008393c40013869af5a8d8c4de618e232ee42dc4
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-01 11:55:52 +0800

    fixes compile errors.

M	src/DynamicSpecialPhrase.cc
M	src/ExtEditor.cc

commit f754d164d05cc38832837ee75337cd9da8247ca0
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-01 11:46:59 +0800

    re-factor chinese number code.

M	src/DynamicSpecialPhrase.cc
M	src/DynamicSpecialPhrase.h
M	src/ExtEditor.cc

commit 607a7ec4e9c67155d931fa66f5d13cb04d986f20
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-01 10:36:39 +0800

    remove some warnings.

M	lua/lua-plugin-init.c

commit e594be88108d50445e7521f69c95bf217c779a8c
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-07-01 10:32:40 +0800

    fixes translation.

M	src/ExtEditor.cc

commit daaebd3d854f4cdaac268a6bf616137eb735ae55
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-29 15:26:32 +0800

    add comments.

M	src/ExtEditor.cc

commit f9f1ef9451a64a1d303bdd3cba8a3f617cb97b4a
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-29 15:21:34 +0800

    fixes huge number.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit e02cb1929119ef62eb9e570d2e530ad9c7513985
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-29 14:50:10 +0800

    fixes aux text.

M	src/ExtEditor.cc
M	src/LookupTable.h

commit 00533c453e8ab19099ee0e093bdd7e91c94df77f
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-29 14:34:09 +0800

    fixes compile errors.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit a19742702ef27a9f56205534a8172eb9dc894cb2
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-29 14:17:28 +0800

    add Chinese Number Gen code

M	src/ExtEditor.cc

commit 35e87ecdaa28b59607d1570cf87c94ec8ea9d47e
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-23 15:54:13 +0800

    re-factor include headers.

M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h
M	lua/test-lua-plugin.c
M	src/ExtEditor.cc

commit 9af65cb9b6503020450caa14276f42421239ba43
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-23 15:31:58 +0800

    fixes strlen.

M	src/ExtEditor.cc

commit fc845a6adc93589000f2cbff2dff60d33706927c
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-23 10:48:29 +0800

    fixes help display on aux text.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit 83a549ad0dd6872fcea509df02666b5cb6488324
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-22 18:08:00 +0800

    fixes space and m_cursor handles.

M	src/ExtEditor.cc

commit 263e1ae756cb07e0c95417e78e478bfa21c05a30
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-22 15:41:46 +0800

    fixes return key.
    fixes lua script load path.

M	src/ExtEditor.cc

commit 8bb3778bc49ed59114f23f0f80cac738e24e6e0e
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-22 15:16:15 +0800

    fixes digit labels gen.
    fixes label key '0' to '9'.

M	lua/lua-plugin-init.c
M	src/ExtEditor.cc

commit 44202f0e3ba96da80197c6ad9a00073015ae7df9
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-22 15:13:09 +0800

    add lua command help hint.

M	src/ExtEditor.cc

commit f0a5cb8020b9689774ce420aa24a66b54dd4d4b5
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-22 15:08:19 +0800

    add enter key press handle.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit e64172c40521e34edeb9ee0aae19de1f0b1a05cd
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-22 10:43:36 +0800

    refine code

M	src/ExtEditor.h

commit d8c519eea5f4c21c8158db57a8bac44078708f7e
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-22 10:40:44 +0800

    Refine code and fix some warnings

M	src/ExtEditor.cc
M	src/ExtEditor.h
M	src/String.h

commit a3f8f98c1c743389ffb2a5e0199cab0fb774c0d7
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-22 10:37:01 +0800

    re-factor ExtEditor header.

M	lua/lua-plugin.h
M	src/ExtEditor.cc
M	src/ExtEditor.h

commit e453b7ecacde36925771326a3eb23380dd3007c1
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-21 15:17:48 +0800

    fixes m_cursor computing.

M	src/ExtEditor.cc

commit 804df27528b7328b62b3a30f11e65b948f7691d1
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-21 14:19:35 +0800

    add license for lua ext mode.

M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h
M	lua/test-lua-plugin.c

commit 34bbe4c76b28368411cf921705c8c62fd4da975a
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-21 14:17:21 +0800

    fixes label

M	src/ExtEditor.cc

commit 7841b9d8c603911f5f09e75914f7272f367c22ac
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-21 13:34:12 +0800

    fixes base.lua path.

M	lua/Makefile.am
M	src/ExtEditor.cc

commit 5f70f6792d22758e37f2875db716ad5a2fefb6da
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-21 13:21:47 +0800

    add stripped oslib for lua ext.

M	lua/Makefile.am
A	lua/lmyoslib.c
M	lua/lua-ext-console.c
M	lua/lua-plugin-init.c
M	lua/lua-plugin.c
M	lua/lua-plugin.h

commit 0f0a0be50b9946429b06357d9f729bbfc358c109
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-21 13:06:01 +0800

    add base.lua

A	lua/base.lua

commit ac1476aabed3efb8c96f45c3eac225ece5376394
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-18 15:58:01 +0800

    fixes compile warnings.

M	src/ExtEditor.cc

commit 1d8521a263f5f83dba2135890833978d246a773d
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-18 13:37:56 +0800

    re-factor code.

M	src/ExtEditor.cc

commit fad30945d4f755f4fb5c83c72dacd08d45b827db
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-18 13:07:51 +0800

    re-order code sequence.

M	src/ExtEditor.cc

commit 3bf430a7b99edf7445e770e8a810aa3a1c39900a
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-18 12:54:18 +0800

    fixes include header.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit 083a07dcd61b744d126398a737055928cbfd5778
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-18 11:37:25 +0800

    Fix build errors.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit f1944e652c6e4c73b87193c7e8cc82ccb0c35ddd
Merge: f1f9363 4009394
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-18 11:25:15 +0800

    Merge remote branch 'epico/lua-plugin' into lua-plugin
    
    Conflicts:
            src/ExtEditor.cc
            src/ExtEditor.h
            src/LookupTable.h
            src/Makefile.am
            src/PinyinEngine.cc

commit 40093940e25ada4c0cf3c258ab49e9ebd32bbc65
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-18 11:08:36 +0800

    fixes multi-line candidate content.

M	src/ExtEditor.cc

commit 870e428c52a32c071d82a580e67dc88d64bbe848
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-18 11:01:22 +0800

    fixes riqi and shijian.

M	src/ExtEditor.cc

commit 7ce996a6aed9d6ce75e31c9a4f9eba73bdd10f14
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-18 10:45:16 +0800

    fixes some typos.

M	src/ExtEditor.cc

commit 62da73fd21c498281f4d9e7bca96db3a96609b14
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-17 15:17:27 +0800

    add label and space key handle.

M	src/ExtEditor.cc

commit d0cf9237364a52aac30ae06bcb8dadf75e02b3ef
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-17 13:07:20 +0800

    write select candidate.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit f1f93631962b46a8a2744796ebbb9fdc74c981ff
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-17 00:02:11 +0800

    Add er in xhe double pinyin schema

M	scripts/pydict.py
M	src/DoublePinyinTable.h

commit 4894ed5d2db043eff4c9bc4f0fa54093a8b63444
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-15 00:12:30 +0800

    Use gint8 for pinyin id in double pinyin table

M	scripts/double.py
M	src/DoublePinyinEditor.cc
M	src/DoublePinyinTable.h

commit 9dbe241f90e55ec7114de2d3352e795841bd2802
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-14 23:47:36 +0800

    Update configure.ac

M	configure.ac

commit b6a3f1fec76b01269677f1b237b6d9cc08317957
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-14 23:44:27 +0800

    Refine code

M	src/SimpTradConverter.cc

commit b41c08e8c74c3995db7ae0b3745d91a2c4195194
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-14 13:54:25 +0800

    Use utf8 string encode

M	scripts/update-simptrad-table.py
M	src/PinyinParser.cc
M	src/SimpTradConverter.cc
M	src/SimpTradConverterTable.h

commit 139a45ffcaa7c09f4003e86b805d3c4bf3f7d406
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-14 11:09:21 +0800

    Add --enable-opencc option

M	configure.ac

commit eb0d395403b53372dbffca12c08107527822f303
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-13 16:03:08 +0800

    refine code

M	src/DoublePinyinTable.h
M	src/DynamicSpecialPhrase.h
M	src/SimpTradConverter.h

commit 970b3c307810159b53310ecc741f7683d8f6ec0e
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-13 15:38:36 +0800

    Add XiaoHe double pinyin schema

M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	scripts/double.py
M	scripts/pydict.py
M	setup/ibus-pinyin-preferences.ui
M	src/Config.cc
M	src/DoublePinyinEditor.cc
M	src/DoublePinyinTable.h

commit b8e83906f859da4e1d31fa7502a94afcfe07504f
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-11 17:26:10 +0800

    Improve performance of SimpTradConvert

M	src/SimpTradConverter.cc

commit 90ef953d8523738c8f5be4181a38063095a74ee5
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-10 22:28:04 +0800

    Use C++ API of OpenCC

M	src/SimpTradConverter.cc

commit c6fd949534e2ff0e98018327f7f1ff1313a51285
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-10 12:51:13 +0800

    Print message when an error occurs in opencc_convert

M	src/SimpTradConverter.cc

commit 957d49989b7a48ad1488168bc1a5fc2a7e7121de
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-10 13:34:18 +0800

    Set release = 0

M	configure.ac

commit 99e5cbcd24fa135cd146e0340875ca994fd08c88
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-10 07:56:54 +0800

    Add class OpenCC to encapsulate opencc

M	src/SimpTradConverter.cc

commit 36e523c6ec97311a4cb73c6c5d713de99cd88656
Merge: 63777ac 26b03fd
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-09 22:38:08 +0800

    Merge from origin

commit 26b03fd0eb5bcc7203ab22fcf5dd050cc63b81c4
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-09 22:29:31 +0800

    Refine some code.

M	src/SimpTradConverter.cc

commit 63777acd3aa2537a7a5f79c62ec3e0ae9c44a169
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-09 22:29:31 +0800

    Refine some code.

M	src/SimpTradConverter.cc

commit 1502908f965cf9327497a2fc672e1b3e9aa2c5f6
Merge: 7beb2b2 6c84399
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-09 22:14:58 +0800

    Merge remote branch 'byvoid/opencc' into opencc
    
    Conflicts:
            src/SimpTradConverter.cc

commit 7beb2b25ed9e38aa9ce1dcaf6a1a62a787e7db25
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-09 22:12:48 +0800

    Fix build warnings

M	src/SimpTradConverter.cc

commit 6c84399193cbde0ad740eb114c3463336fa67ef4
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-09 21:20:55 +0800

    Modified interface of opencc in SimpTradConveter

M	src/SimpTradConverter.cc

commit e6084e309c5fbeff0def79b04c4fb1e17ddd2e13
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-09 15:38:40 +0800

    refactor code.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit 89a3b85e366defaf3bae44173be7e7091939ea41
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-09 14:44:22 +0800

    Fix opencc API

M	src/SimpTradConverter.cc

commit ccff065a241ad0b30a5a36e2933a76ba6a0c5402
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-09 14:33:16 +0800

    add some code.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit 9fd12b0354161edc98fe39ebf8b6aa4e9269f3f3
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-09 10:51:59 +0800

    refactor key handling.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit bb48dfc2d26dfc4fe8bbdf85115f39186906cab2
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-09 07:56:40 +0800

    Use opencc

M	configure.ac
M	src/Makefile.am
M	src/SimpTradConverter.cc
M	src/SimpTradConverter.h

commit 749b90a893831fd542b371393e988fe5e916a214
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-07 16:48:49 +0800

    add backspace/delete key handles.

M	src/ExtEditor.cc

commit 35000f739315aa55123ba1599e04878f578366f1
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-07 16:22:35 +0800

    add key handles.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit e92b6f27040f75a102d8b5aa25c8e1d301ce5800
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-07 14:49:26 +0800

    add cursor up/down and page up/down function.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit c4701aac1131854cf9db31e80ca18c146d3c4c8e
Author: Peng Wu <alexepico@gmail.com>
Date:   2010-06-07 11:00:35 +0800

    rename sendLookupTable to updateLookupTable.

M	src/ExtEditor.cc
M	src/ExtEditor.h

commit 5ae0d6290c9cbd7d7bbef065d8eb9ab7ad7ac728
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-05 17:14:36 +0800

    Fix a bug of Traditional Chinese translation

M	po/zh_HK.po
M	po/zh_TW.po

commit d27091f290d3f0a135500565db5b1027336fe815
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-05 09:15:21 +0800

    Remove some debug output

M	setup/main.py

commit 317efbfb9472b4696895baa2b771ba7a8eea681c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-05 09:14:58 +0800

    Move php_2_py.php to scripts/

R100	src/php_2_py.php	scripts/php_2_py.php
M	src/Makefile.am

commit dacee4558562dd4c64f97fbbcd825c41672b9942
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-05 09:07:59 +0800

    Refine some code

M	src/BopomofoEditor.cc

commit 0479700cde6a86fce05a233f6db7ed5b0991baca
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-05 08:21:05 +0800

    Update label of one property

M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	src/PinyinProperties.cc

commit 77d9c68257fbc8de007b1524239d9bdb39346655
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-05 07:38:04 +0800

    Fix some build warning and verify some config item.

M	src/Bopomofo.h
M	src/BopomofoEditor.cc
M	src/Config.cc

commit 52442871862a6558cf616601b97c7bd57d00d12a
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-04 15:33:15 +0800

    Update translation po files

M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 8a23fe6b8b4f5028887d797db25ad2aac13d8747
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-04 15:07:13 +0800

    Disabled Custom of SelectKey

M	setup/ibus-pinyin-preferences.ui
M	setup/main.py
M	src/Bopomofo.h
M	src/BopomofoEditor.cc
M	src/Config.cc
M	src/Config.h

commit 38b97ecdf29a66709a9aa284cd065a99dca30a5e
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-02 14:30:20 +0800

    Update Config & Preferences UI for BopomofoEditor

M	setup/ibus-pinyin-preferences.ui
M	setup/main.py
M	src/BopomofoEditor.cc
M	src/BopomofoEditor.h
M	src/Config.cc
M	src/Config.h

commit 8afcc64f37944b3e8f31b9df1e3058fcbdb1479c
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-06-01 20:56:56 +0800

    Improved user interaction of BopomofoEditor

M	src/BopomofoEditor.cc
M	src/BopomofoEditor.h
M	src/LookupTable.h
M	src/PhoneticEditor.cc
M	src/PhoneticEditor.h

commit da7738330638e147deeef0fc53684249c51f494f
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-05 07:28:26 +0800

    Reduce dependency among header files.

M	src/BopomofoEditor.cc
M	src/BopomofoEditor.h
M	src/BopomofoEngine.cc
M	src/Config.cc
M	src/Config.h
M	src/Database.cc
M	src/Database.h
M	src/DoublePinyinEditor.cc
M	src/DoublePinyinEditor.h
M	src/DynamicSpecialPhrase.cc
M	src/Editor.cc
M	src/Editor.h
M	src/ExtEditor.h
M	src/FallbackEditor.cc
M	src/FallbackEditor.h
M	src/FullPinyinEditor.cc
M	src/FullPinyinEditor.h
M	src/PhoneticEditor.cc
M	src/PhoneticEditor.h
M	src/PhraseEditor.cc
M	src/PhraseEditor.h
M	src/PinyinEditor.cc
M	src/PinyinEditor.h
M	src/PinyinEngine.cc
M	src/PinyinProperties.cc
M	src/PinyinProperties.h
M	src/PunctEditor.cc
M	src/PunctEditor.h
M	src/RawEditor.h
M	src/SpecialPhrase.h
M	src/SpecialPhraseTable.cc
M	src/SpecialPhraseTable.h

commit f01adcdb0a4df396e7c2388f39dff70d1319c098
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-06-02 21:52:59 +0800

    Add --version -V option

M	src/Database.cc
M	src/Database.h
M	src/Main.cc
M	src/SpecialPhrase.cc

commit 984ce06e5c96603ce3d2edbee008c0df9b8328b1
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-31 10:56:20 +0800

    Refine coding style

M	src/PhraseEditor.h
M	src/PinyinProperties.h
M	src/Pointer.h
M	src/Regex.h

commit c1d6020cf3333b264937ac44132d82e4591adeba
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-31 08:07:39 +0800

    Update README

M	README

commit 9fc7711231bc4734541b50087b813e598a6813db
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-30 21:53:34 +0800

    Refine coding style

M	src/Bus.h
M	src/Property.h

commit 502b8e814fe1aa59c7f607a04c363ef0c03e476f
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-30 21:39:08 +0800

    Use inline function and const value to replace some macors.

M	src/BopomofoEditor.cc
M	src/BopomofoEngine.cc
M	src/DoublePinyinEditor.cc
M	src/FallbackEditor.cc
M	src/PhoneticEditor.cc
M	src/PinyinEditor.cc
M	src/PinyinEngine.cc
M	src/PunctEditor.cc
M	src/Util.h

commit 9211cbcd3d580cf96a2bea7d8dd3ec8beefca9a7
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-30 21:04:22 +0800

    Refine coding style

M	src/BopomofoEngine.cc
M	src/BopomofoEngine.h
M	src/Config.cc
M	src/Config.h
M	src/Database.h
M	src/Editor.h
M	src/Engine.h
M	src/FallbackEditor.h
M	src/LookupTable.h
M	src/Object.h
M	src/PhoneticEditor.h
M	src/Phrase.h
M	src/PhraseEditor.h
M	src/PinyinArray.h
M	src/PinyinEditor.h
M	src/PinyinEngine.cc
M	src/PinyinEngine.h
M	src/PinyinParser.h
M	src/PinyinProperties.h
M	src/SpecialPhrase.h
M	src/String.h
M	src/Text.h
M	src/Util.h

commit 44f4960fb84fbb3643d523932bc8612bff5ff18c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-30 14:55:37 +0800

    Move python script files to scripts folder

R098	src/update-simptrad-table.py	scripts/update-simptrad-table.py
R100	src/valid_hanzi.py	scripts/valid_hanzi.py
M	src/Makefile.am
D	src/sctc.py

commit 6b29ccd6523cf87c75d9f2327f930ea94a4e35a0
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-30 14:45:37 +0800

    Fix special phrases option problem in Bopomofo engine.

M	src/PhoneticEditor.cc
M	src/SpecialPhraseTable.cc

commit 89bb1454a7b7b228170605ffb1d9ee6eecbaa869
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-30 12:12:48 +0800

    Optimize dependence of headers

M	src/BopomofoEngine.cc
M	src/DynamicSpecialPhrase.cc
M	src/Engine.cc
M	src/Engine.h
M	src/PhoneticEditor.h
M	src/PinyinEngine.cc
M	src/PinyinParser.cc
M	src/PinyinProperties.cc
M	src/PunctEditor.cc
M	src/PunctEditor.h
M	src/SimpTradConverter.cc
M	src/SpecialPhraseTable.cc
M	src/SpecialPhraseTable.h

commit 89340fe814c2fbf5648b7a3f84cb5ef7bb4e370c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-29 17:21:25 +0800

    Release 1.3.8

M	configure.ac

commit 25227863e045a89e5a8aa3c626318dcae6bde895
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-29 11:18:39 +0800

    Do not call readDefaultValues in constructor function.

M	src/Config.cc

commit 3950e439f487e88dc519344b24871ebac96e7d86
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-29 08:22:00 +0800

    Write default value to config, if the value does not exist

M	src/Config.cc

commit 700bc273d43b3e9df401defc3a27a2ac86e7b2f4
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-29 05:51:27 +0800

    Remove inline modifier for some functions

M	src/PhoneticEditor.cc

commit e775fe8869e3f294e26bf672306922c907d8589e
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-29 05:42:40 +0800

    Add "·" in PunctTable

M	scripts/punct.py
M	src/PunctTable.h

commit 80d4092bc0f83b0cf9a0292b44fa033cf411fc54
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-29 05:42:14 +0800

    Fix problem in PunctEditor.

M	src/PunctEditor.cc

commit e19ff554f28ed03f01423ff7d9ca6f9bac18f978
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 14:53:48 +0800

    Release 1.3.7

M	configure.ac

commit 4f41efbd5eebba8c9b09c1b46f27a51cbfb13254
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 14:44:01 +0800

    Disable special phrases by default in bopomofo engine

M	src/Config.cc

commit ad860b1d8f7a4838e850881cc7111ec9604ec171
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 14:41:32 +0800

    Reset engine status when enable again

M	src/BopomofoEngine.h
M	src/PinyinEngine.h
M	src/PinyinProperties.cc
M	src/PinyinProperties.h

commit 701c14239112acd27d0d440f3ea0f21d33d415e1
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 14:30:38 +0800

    Refine Config

M	src/Config.cc

commit aa48377217d099e073caa4a85debd871f01bc93e
Merge: c1b1a2e 0a9d1b4
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 14:21:04 +0800

    Merge remote branch 'byvoid/master'

commit c1b1a2e6f38ebfec473b430c1aa3ee692e3b76ec
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 14:15:35 +0800

    Use different default config values for Pinyin and Bopomofo

M	src/Config.cc
M	src/Config.h

commit 0a9d1b485c22f30c0023df78ec892cb1d42770a8
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-28 14:00:12 +0800

    Update Chinese translation

M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 54ffd76da5dfb02f4f67950c59c55d2ee85eaee0
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 10:09:57 +0800

    Use const gchar * const

M	src/Config.cc

commit 0862e8bcb0ce7a5a7471f1e503f6fff053662f69
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-28 10:08:41 +0800

    Use const gchar * to replace macros

M	src/Config.cc

commit e21253f31aa2149a92e0cef06f543e1c00f5817e
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-27 13:51:21 +0800

    Switch to Chinese mode when enable

M	src/BopomofoEngine.h
M	src/PinyinEngine.h

commit ba89d9ef399ce61a63929d44773153191fa71412
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-27 10:33:16 +0800

    Add debian/changelog.in

M	Makefile.am
A	debian/changelog.in

commit 69247ae60b786af9125390a0b5f9def4107935e8
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-27 10:16:50 +0800

    Fix build error in converting void * to int.

M	src/BopomofoEditor.cc

commit c9850205a602b5d36172d13ee5c2a9ccb02d418e
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-26 15:49:50 +0800

    Fix a bug of bsearch while converting keyval to Bopomofo

M	src/BopomofoEditor.cc

commit 6d232faeef299048a2d2d4f02aa36614a40e4cc0
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-26 13:21:34 +0800

    Add ppa target for generate debian source packages.

M	Makefile.am
M	configure.ac
D	debian/changelog
M	debian/control

commit 0ba1b74b141c445832c64a17945830aa2da277ee
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-26 10:39:59 +0800

    Update po files.

M	po/zh_CN.po
M	po/zh_TW.po

commit 177313343f4122342cfccccc5e0d7b8e977875f9
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-25 17:00:54 +0800

    Update po files.

M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit a4c5ebefd2fea0ccc140d2ee08f08e7a46a4d8e8
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-25 16:52:33 +0800

    Correct some labels

M	setup/ibus-pinyin-preferences.ui

commit b02483cd38e62fbca46a52d9348322088fd6f9b1
Merge: a72b309 72fa95d
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-25 16:30:40 +0800

    Merge remote branch 'byvoid/fallbackeditor'

commit 72fa95d9454d021a645426e5e7ae7a7ba510251f
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-25 16:28:26 +0800

    Add Traditional Chinese mode punct for FallbackEditor

M	src/FallbackEditor.cc
M	src/FallbackEditor.h

commit a72b309c8b890362fe679533a9286415759f9e50
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-25 16:22:28 +0800

    Change some variables' name.

M	src/Makefile.am

commit 4d5e9f2ea2475df2e8fa33a0bdd2561e89060214
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-25 15:45:42 +0800

    Fix make distcheck errors.

M	src/Makefile.am

commit 9f495b05abf522fea51fcea341c425d1a9a73e52
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-25 13:29:22 +0800

    Update po files and adjust ui

M	po/ru.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	setup/ibus-pinyin-preferences.ui

commit f39251e51b09d8b386a903a67dd3cf65dbadf296
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-25 12:58:50 +0800

    Adjust the setup interface.

M	setup/ibus-pinyin-preferences.ui
M	setup/main.py

commit 6f088990f755857ec1d8f2e0ccc9794aee0fbb23
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-24 14:21:31 +0800

    Use boost::scoped_ptr to maintain Config instances.

M	src/Config.cc
M	src/Config.h

commit 839285e57e76ddf94b6c77233ed6296ebead2a8c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-24 13:41:24 +0800

    Refine coding style and use guint8 in BopomofoKeyboard.h

M	scripts/genbopomofokeyboard.py
M	src/Bopomofo.h
M	src/BopomofoKeyboard.h
M	src/Makefile.am

commit 9258379bbdaedc5ab48688303d13df8ef4446f9d
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-24 10:05:50 +0800

    Use const gchar * to replase std::string for static strings.

M	src/Config.cc

commit e034dcfa68d6652d0a85d7a476db3faf97a70076
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-24 08:48:00 +0800

    Refine modifiers test code for Ctrl + Shift + F

M	src/BopomofoEngine.cc
M	src/PinyinEngine.cc
M	src/Util.h

commit 19bb8989b043c292ab22523733bac2ef127f80d2
Merge: c95380c 8b7ac7c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-24 07:29:27 +0800

    Merge remote branch 'byvoid/st_switch_hotkey'

commit c95380ca00b797431c8d5b8fdb7ed0bb0773df40
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-23 21:01:53 +0800

    Fix a bug on Config & Enable Bopomofo specialized settings

M	setup/main.py
M	src/BopomofoEditor.cc
M	src/Config.cc
M	src/Config.h
M	src/PhoneticEditor.cc

commit 8b7ac7c654eeaccf1fb45fcca6088eed537bad2b
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-23 20:18:45 +0800

    Add hotkey Ctrl + Shift + F to toggle simp/trad Chinese input mode

M	src/BopomofoEngine.cc
M	src/PinyinEngine.cc

commit 11f83b7110549559aa0741fc054aaeb2b2f1f164
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-23 17:37:09 +0800

    Launch setup with different arguments in PinyinEngine & BopomofoEngine

M	src/BopomofoEngine.cc
M	src/PinyinEngine.cc

commit 86649ed500fc5ce607a2cd36101bc9fc9d749ae6
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-23 17:35:03 +0800

    Use pinyin setup as default

M	setup/main.py

commit 82f0c59bf63523f6c5255ade681a3e43bfc1af2c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-23 17:07:41 +0800

    Add test-pinyin and test-bopomofo targets

M	setup/Makefile.am

commit 83e194de430e70ca46034016f2b172e5ac8a2aeb
Author: BYVoid <byvoid1@gmail.com>
Date:   2010-05-23 17:04:49 +0800

    Reorganize setup User Interface

M	setup/ibus-pinyin-preferences.ui
M	setup/main.py

commit b4e80d22b99d42afdc5067738129910877160704
Merge: 163587a f9a90e8
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-23 12:48:45 +0800

    Merge remote branch 'byvoid/PhoneticEditor' into config
    
    Conflicts:
            src/BopomofoEditor.cc
            src/Editor.h
            src/PinyinEditor.cc

commit 163587a5185b137df364194d862a671019e3528c
Author: Peng Huang <shawn.p.huang@gmail.com>
Date:   2010-05-23 11:59:06 +0800

    Separate Config to PinyinConfig and BopomofoConfig

M	src/BopomofoEditor.cc
M	src/BopomofoEditor.h
M	src/BopomofoEngine.cc
M	src/Config.cc
M	src/Config.h
M	src/DoublePinyinEditor.cc
M	src/DoublePinyinEditor.h
M	src/Editor.cc
M	src/Editor.h
M	src/ExtEditor.cc
M	src/ExtEditor.h
